// Robot.h: interface for the CRobot class.
//
//////////////////////////////////////////////////////////////////////
#include "resource.h"
#include "robonet.h"
#include "controller.h"
#include "situationflags.h"
#include "FileConfig.h"
#if !defined(AFX_ROBOT_H__4806205F_28CA_442B_B98C_EB8D9302B82F__INCLUDED_)
#define AFX_ROBOT_H__4806205F_28CA_442B_B98C_EB8D9302B82F__INCLUDED_
#define OUT_ON 1
#define OUT_OFF 0
const int TIMER_MANUAL_PERIOD = 300;
const int TIMER_ID_MANUAL = 101;

extern ErrorInfo* pErrorInf;
class CRobot
{
	int check_online;
	int excecute_combo_control;
	int control_on_flag;
	int mode_online;
	
	
public:
	CFileConfig pFile;
	int speedvalue;
	short axesnumber;
	void Errorframe(CHttpServerContext* pCtxt);
	int counter;
	void decide_operation(CHttpServerContext* pCtxt,CString operation);
	void Home_robot(CHttpServerContext* pCtxt); 
	void turndigitalout(int out,int mode1,int mode2,int mode3,int mode4,int mode5,int mode6,int mode7,int mode8);
	HANDLE herror2;
	void control_on_dialog(CHttpServerContext* pCtxt);
	void controlframe(CHttpServerContext* pCtxt);
	unsigned long msfrompc(LARGE_INTEGER lipcDuartion);
	void move(int speedval,short numaxes, CString axes_type,CHttpServerContext* pCtxt,int status);
	void Offline(int rob_type);
	void control_on(CString controlonval);
	int  give_check_online();
	void closemanual();
	BOOL Online(CHttpServerContext* pCtxt,int rob_type);
	CRobot(); 
	virtual ~CRobot();
	BOOL waiterror( long lMaxDelay);

	BOOL MyPumpMessages();
	void get_check_online(int mode);
	void get_excecute_combo_control(int mode);
	void get_control_on(int mode);
	void get_mode_online(int mode);
	int  give_mode_online();
	int give_excecute_combo_control();
	int give_control_on();
    private:

	int err_flag;
};	

#endif // !defined(AFX_ROBOT_H__4806205F_28CA_442B_B98C_EB8D9302B82F__INCLUDED_)
