#if !defined(AFX_ROBONET_H__401ABED4_D117_4D06_AB9D_E6F697BD6463__INCLUDED_)
#define AFX_ROBONET_H__401ABED4_D117_4D06_AB9D_E6F697BD6463__INCLUDED_

// ROBONET.H - Header file for your Internet Server
//    robonet Extension

#include "resource.h"
#include "Robot.h"
#include "controller.h"
#include "FileConfig.h"  


extern Homerob* pHome;
extern Error* pError;
 class CRobonetExtension:public CHttpServer
{
//this variable will indicate that online happend (flag)
	//int check_online;
	void menuscript(CHttpServerContext* pCtxt);
	CRobot pRobot;
	CFileConfig pFile;
	void Ronline(CHttpServerContext* pCtxt,LPTSTR psztext1,LPTSTR pszRname,LPTSTR pszRtype,LPSTR pszarm_type,LPSTR pszspeed);//,LPTSTR pszRtype,LPTSTR pszspeed);
	void Default(CHttpServerContext* pCtxt);
	BOOL LoadLongResource(CString& str,UINT nID); 
	void getmainframe(CHttpServerContext* pCtxt);
	CString strmode;
   	CString strlocation;
	//CString errstring;
	int error_occured; //this flag indicates if error was done
	int m_flag_controldlg;
 	int m_onlineflag;
    UINT m_uiTimerID;
 public:
	 void getendmotion(CHttpServerContext* pCtxt);
	 void Updateused(CHttpServerContext* pCtxt);
	 void Initialize(CHttpServerContext* pCtxt);
	 void Updatevisit(CHttpServerContext* pCtxt,LPTSTR strvisit);
	 int m_begin;
	 void Start(CHttpServerContext* pCtxt);
	 int m_timer;
	 void getpicframe(CHttpServerContext* pCtxt);
     int currentname;
	 void Security(CHttpServerContext* pCtxt,LPTSTR nameclient,LPTSTR password);
	 void update(CHttpServerContext *pCtxt,LPTSTR Linkdir,LPTSTR typerob,LPTSTR Linkcam);
	 int rob_num;
	 void Exitprog(CHttpServerContext *pCtxt);
	 
	void Rnumchange(CHttpServerContext *pCtxt,LPTSTR strtimeoutselect,LPTSTR strcam,LPTSTR strpath,LPTSTR strname,LPTSTR strpass,LPTSTR strrefreshrate);
	
	void Sendgripper(CHttpServerContext* pCtxt,LPTSTR operation);
	void Homing(CHttpServerContext* pCtxt);
	void turnoutput(CHttpServerContext* pCtxt,LPTSTR out,LPTSTR mode1,LPTSTR mode2,LPTSTR mode3,LPTSTR mode4,LPTSTR mode5,LPTSTR mode6,LPTSTR mode7,LPTSTR mode8);
	void getErrframe(CHttpServerContext* pCtxt);
	void showerror(CHttpServerContext* pCtxt,LPTSTR timer);
	void endmanual(CHttpServerContext* pCtxt,LPTSTR pszsituation);
	void moveaxes(CHttpServerContext *pCtxt,int speed,LPTSTR ptraxes_type,int axes_num,int status);
	void submitframe(CHttpServerContext* pCtxt);
	
 	CRobonetExtension();
	~CRobonetExtension();
	void do_control(CHttpServerContext *pCtxt,CString pszcontrolon);

	
// Overrides
	// ClassWizard generated virtual function overrides
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//{{AFX_VIRTUAL(CRobonetExtension)
	public:
	virtual BOOL GetExtensionVersion(HSE_VERSION_INFO* pVer);
	virtual void WriteTitle(CHttpServerContext* pCtxt) const;
	virtual void EndContent(CHttpServerContext* pCtxt) const;
	virtual DWORD HttpExtensionProc(EXTENSION_CONTROL_BLOCK *pECB);
	virtual LPCTSTR GetTitle() const;
	virtual BOOL OnParseError(CHttpServerContext* pCtxt,int nMethodRet);	
	virtual void StartContent(CHttpServerContext* pCtxt) const;
	//}}AFX_VIRTUAL
	virtual BOOL TerminateExtension(DWORD dwFlags);

	// TODO: Add handlers for your commands here.
	// For example:

	DECLARE_PARSE_MAP()


	private:
	HANDLE herror2;
	//int excecute_combo_control;
//	int control_on;
	//int mode_online;//flag that checks if it is offline mode or online
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ROBONET_H__401ABED4_D117_4D06_AB9D_E6F697BD6463__INCLUDED)
