// Robot.cpp: implementation of the CRobot class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "robonet.h"
#include "Robot.h"
#include "Error.h"

#include "controller.h"
#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif
static count=0;
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CRobot::CRobot()
{

    int check_online=0;
	int excecute_combo_control=0;
	int control_on_flag=0;
	int mode_online=0;
    pErrorInf=new ErrorInfo;
	int err_flag=0;
	herror2=0;
	counter=0;
}
//-------------------------------------------------------------------
CRobot::~CRobot()
{

}
//this function gets the number type of robot to initilize

BOOL CRobot::Online(CHttpServerContext* pCtxt,int rob_type)
{
BOOL b=Initialization(INIT_MODE_ONLINE,rob_type, (CallBackFun)&InitEnd, (CallBackFun)&ErrorMessage);
return b;
}
//-------------------------------------------------------------------
void CRobot::control_on(CString controlonval)
{
if(controlonval=="On")
{
	if(Control( '&', TRUE ) == FALSE)
	{
		return;
	}

}
else
    if(Control( '&', FALSE ) == FALSE)
	{
		return;
	}
}

//-------------------------------------------------------------------
void CRobot::Offline(int rob_type)
{
 BOOL b=Initialization(INIT_MODE_OFFLINE,rob_type, (CallBackFun)&InitEnd, (CallBackFun)&ErrorMessage);
}

//-------------------------------------------------------------------
void CRobot::decide_operation(CHttpServerContext* pCtxt,CString operation)
{

if(IsOnLineOk())
{
	pError->grippermotion=1;

	if(operation=="opengripper")
		OpenGripper();
	else
	if(operation=="closegripper")
		CloseGripper();
}
controlframe(pCtxt);
}
//-------------------------------------------------------------------
void CRobot::move(int speedval,short axesnum, CString axes_type,CHttpServerContext* pCtxt,int status)
{ 

int axis_number;
 
  ConfigData Config;
  if(GetConfig(Config)==FALSE)
	  return;
  
  	 if(axesnum>5&&axesnum<12)
	 {
	  speedval*=-1;
   	  axesnum=axesnum-6;
	 }
  axis_number=axesnum;
  axesnumber=axesnum;
  if(status==0)
	{
	if(axes_type=="joints")
		EnterManual( MANUAL_TYPE_ENC );
	else
	if(axes_type=="xyz")
		EnterManual( MANUAL_TYPE_XYZ );   
  }
speedvalue=speedval;
MoveManual((unsigned char)axesnum,speedval*10);

   
}

//------------------------------------------------------------------- 

 BOOL CRobot:: waiterror( long lMaxDelay)
{
	DWORD dwFirstTick;
	DWORD dwCurTick;
	LARGE_INTEGER liStart = {0}; 
    LARGE_INTEGER liCurrent = {0}; 
    LARGE_INTEGER liDuration = {0}; 
	
	if ( QueryPerformanceCounter( &liStart )) // pointer to counter value
	{
        dwFirstTick = msfrompc( liStart );
		for ( ; ; )
		{
			
			if( !MyPumpMessages ( ))
                 return FALSE;
			if ( lMaxDelay > 200 )
                  Sleep( 50 );		
			else 
	              Sleep( 10 );		
			QueryPerformanceCounter( &liCurrent );
            dwCurTick = msfrompc( liCurrent );
			if ( ( long ) ( dwCurTick - dwFirstTick ) >= lMaxDelay||pError->error_flag==1||pError->finish==0||pError->grippermotion==1 )
			{ 
				if(pError->grippermotion==1)
					Sleep(300);
				
				break;
			}
			
		}	
	}
	else
	{
		dwFirstTick = GetTickCount( );
		for ( ; ; )
		{
			if( !MyPumpMessages ( ))
                 return FALSE;
			if ( lMaxDelay > 200 )
                  Sleep( 50 );		
			else 
	              Sleep( 10 );		
			dwCurTick = GetTickCount ( );
			if ( ( long ) ( dwCurTick - dwFirstTick ) >= lMaxDelay||pError->error_flag==1||pError->finish==0||pError->grippermotion==1 )
			{
			  	if(pError->grippermotion==1)
					Sleep(300);
					break;

	
			}
		}
	}
  	
  return TRUE;
 }



//-------------------------------------------------
 BOOL CRobot::MyPumpMessages()
{
    MSG msg;
	// Retrieve and dispatch any waiting messages.
	while (::PeekMessage (&msg, NULL, 0, 0, PM_NOREMOVE))
	{
	   if (!AfxGetApp()->PumpMessage ())
	   {
		  ::PostQuitMessage (0);
		  return FALSE;
	   }
	}
	// Simulate the framework's idle processing mechanism.
	// Clean Up Temporary MFC object in _USRDLL DLLs.
	LONG lIdle = 0;
	while (AfxGetApp()->OnIdle (lIdle++));
	return TRUE;
}				
//-------------------------------------------------------------------

unsigned long CRobot::msfrompc(LARGE_INTEGER lipcDuration)
{
 	LARGE_INTEGER lipcFrequency = {0};// Ticks/second. 
	if (!QueryPerformanceFrequency(&lipcFrequency))
	{ 
		return(0); 
	} 
	lipcFrequency.QuadPart /= 1000;// Convert to ticks/millisecond 
	return(unsigned long)(lipcDuration.QuadPart / lipcFrequency.QuadPart); 

}


//This frame updates the mainframe with the information 
//-------------------------------------------------------------------
void CRobot::controlframe(CHttpServerContext *pCtxt)
{
 int begin=0;
	int end=1;
	CString stroutput;
	*pCtxt<<"<HTML>";
    *pCtxt<<"<TITLE>WELCOME TO ROBONET</TITLE>";
    *pCtxt<<"<HEAD>\n";
	*pCtxt<<"script language\"javascript\">";
	*pCtxt<<"<!--\n";
	*pCtxt<<"function wait()\n";
	*pCtxt<<"{\n";
	*pCtxt<<"document.exitprog.submit;";
	*pCtxt<<"settimeout(\"window.close,2000\")";
	*pCtxt<<"}\n";
	*pCtxt<<"-->\n";
	*pCtxt<<"</script>";
	*pCtxt<<"</HEAD>";
	*pCtxt<<"<meta http-equiv=\"Content-Type\" content=\"text/html\"; charset=\"windows-1252\">";
	
	*pCtxt<<"<BODY bgcolor=\"blue\" >\n";
    TCHAR strConfigSection[] =_T("CONFIG");

	TCHAR strServerPath[]=_T("ServerPath");	
	TCHAR strTimeout[]=_T("TimeOut");	
	TCHAR strCampath[]=_T("Camera file");
	TCHAR strPassword[]=_T("Password");
	TCHAR strRefreshrate[]=_T("rate picture update");
	TCHAR strFilePath[]=_T("robonet.ini");

	GetPrivateProfileString(strConfigSection,strServerPath,NULL,pFile.strServerLocation,sizeof(pFile.strServerLocation),"robonet.ini");
    
    *pCtxt<<"<FORM NAME=\"controlons\" ACTION=\"";
    *pCtxt<<pFile.strServerLocation;
	*pCtxt<<"\" METHOD=\"GET\">";      
	*pCtxt<<"<INPUT TYPE=\"HIDDEN\" NAME=\"MfcISAPICommand\" VALUE=\"Ronline\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"mode\" VALUE=\"online\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=Rname VALUE=\"\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=Rtype VALUE=\"\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"arm_type\"  VALUE=\"\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"speed\" VALUE=\"\">";
	
	*pCtxt<<"</FORM>";
	*pCtxt<<"<FORM NAME=\"control\" ACTION=\"";
    *pCtxt<<pFile.strServerLocation;
	*pCtxt<<"\" METHOD=\"GET\">";      
	*pCtxt<<"<INPUT TYPE=HIDDEN NAME=\"MfcISAPICommand\" VALUE=\"do_control\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"controlon\" VALUE=\"On\">";
	*pCtxt<<"</FORM>";
	*pCtxt<<"<FORM NAME=\"moving\" ACTION=\"";
	*pCtxt<<pFile.strServerLocation;
	*pCtxt<<"\" METHOD=\"GET\">";      
	
	*pCtxt<<"<INPUT TYPE=HIDDEN NAME=\"MfcISAPICommand\" VALUE=\"moveaxes\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"speed\" VALUE=\"\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"axes_type\" VALUE=\"\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"axes_num\" VALUE=\"\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"statusmove\" VALUE=\"0\">";
	
	*pCtxt<<"</FORM>";
	*pCtxt<<"<FORM NAME=\"endmovement\" ACTION=\"";
    *pCtxt<<pFile.strServerLocation; 
	*pCtxt<<"\" METHOD=\"GET\">";      
	*pCtxt<<"<INPUT TYPE=HIDDEN NAME=\"MfcISAPICommand\" VALUE=\"endmanual\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"endmove\" VALUE=\"stop\">";
	*pCtxt<<"</FORM>";
	*pCtxt<<"<FORM NAME=\"exitprog\" ACTION=\"robonet.dll\"";
    *pCtxt<<"METHOD=\"GET\">";      
	
	*pCtxt<<"<INPUT TYPE=HIDDEN NAME=\"MfcISAPICommand\" VALUE=\"Exitprog\">";
	*pCtxt<<"</FORM>";
	*pCtxt<<"<FORM NAME=\"Output\" ACTION=\"";
	*pCtxt<<pFile.strServerLocation;
    *pCtxt<<"\" METHOD=\"GET\">";      
	*pCtxt<<"<INPUT TYPE=HIDDEN NAME=\"MfcISAPICommand\" VALUE=\"turnoutput\">";
    *pCtxt<<"<INPUT TYPE=TEXT NAME=\"outnumber\" VALUE=\"0\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"outmode1\" VALUE=\"off\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"outmode2\" VALUE=\"off\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"outmode3\" VALUE=\"off\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"outmode4\" VALUE=\"off\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"outmode5\" VALUE=\"off\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"outmode6\" VALUE=\"off\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"outmode7\" VALUE=\"off\">";
	*pCtxt<<"<INPUT TYPE=TEXT NAME=\"outmode8\" VALUE=\"off\">";
    *pCtxt<<"</FORM>";
	*pCtxt<<"<FORM NAME=\"Home\" ACTION=\"";      
    *pCtxt<<pFile.strServerLocation;
    *pCtxt<<"\" METHOD=\"GET\">";      
	
	*pCtxt<<"<INPUT TYPE=HIDDEN NAME=\"MfcISAPICommand\" VALUE=\"Homing\">";
	*pCtxt<<"</FORM>";
	*pCtxt<<"<FORM NAME=\"gripper\" ACTION=\"";
     *pCtxt<<pFile.strServerLocation;
    *pCtxt<<"\" METHOD=\"GET\">";      

	*pCtxt<<"<INPUT TYPE=\"HIDDEN\" NAME=\"MfcISAPICommand\" VALUE=\"Sendgripper\">";
    *pCtxt<<"<INPUT TYPE=TEXT NAME=\"mode\" VALUE="">";
	*pCtxt<<"</FORM>";   

	*pCtxt<<"<script language=\"javascript\">";
	*pCtxt<<"<!--\n";
	if(IsOnLineOk())
		if(excecute_combo_control==1)
	{
     control_on_dialog(pCtxt);
	 check_online=0;
	}
   		
  	if(pHome->situation==HOME_NOTIF_FINISH)
	{
		*pCtxt<<"parent.SHOW.homing.style.visibility=\"hidden\";";
		*pCtxt<<"parent.SHOW.window.disableall(0);";
		*pCtxt<<"parent.SHOW.mainForm.style.visibility=\"hidden\";";

	}
    
	if(pHome->situation==HOME_NOTIF_START)
	{
		
		*pCtxt<<"parent.SHOW.homing.style.visibility=\"visible\";";
		*pCtxt<<"parent.SHOW.window.disableall(1);";
	    *pCtxt<<"parent.SHOW.mainForm.style.visibility=\"visible\";";
	}

	if(IsOnLineOk())
	{
		*pCtxt<<"parent.SHOW.mode.Connection.value=\"On-Line\";";
   		*pCtxt<<"parent.SHOW.communication.Home.style.visibility=\"visible\";";
	}

	else
	{
		*pCtxt<<"parent.SHOW.mode.Connection.value=\"Off-Line\";";	
		*pCtxt<<"parent.SHOW.communication.Home.style.visibility=\"hidden\";";
		*pCtxt<<"parent.SHOW.mode.Controlstat.value=\"\";";
	
	}
	if(IsOnLineOk())
		if(pError->controlon==0)
			*pCtxt<<"parent.SHOW.mode.Controlstat.value=\"Control-Off\";";
	else
		*pCtxt<<"parent.SHOW.mode.Controlstat.value=\"Control-On\";";
    
   if(IsOnLineOk())
   {
	CString m_strBase,m_strShoulder,m_strElbow,m_strPitch,m_strRoll;
	double dbWork = ((double)pError->jointval[0] / 1000.0) + 0.00499;
	m_strBase.Format("%7.2f", dbWork );
	dbWork = ((double)pError->jointval[1] / 1000.0) + 0.00499;
	m_strShoulder.Format("%7.2f", dbWork );
	dbWork = ((double)pError->jointval[2] / 1000.0) + 0.00499;
	m_strElbow.Format("%7.2f", dbWork );
	dbWork = ((double)pError->jointval[3] / 1000.0) + 0.00499;
	m_strPitch.Format("%7.2f", dbWork );
	dbWork = ((double)pError->jointval[4] / 1000.0) + 0.00499;
	m_strRoll.Format("%7.2f", dbWork );
	*pCtxt<<"document.moving.speed.value=parent.SHOW.document.communication.speedval.value;";
	*pCtxt<<"parent.SHOW.document.output.style.visiblity=\'visible\';";
	*pCtxt<<"parent.SHOW.document.positionarm.pos2.value=\"";
	*pCtxt<<m_strBase;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionarm.pos3.value=\"";
	*pCtxt<<m_strShoulder;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionarm.pos4.value=\"";
	*pCtxt<<m_strElbow;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionarm.pos5.value=\"";
	*pCtxt<<m_strPitch;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionarm.pos6.value=\"";
	*pCtxt<<m_strRoll;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionenco.pos3.value=\"";
	*pCtxt<<pError->encoval[0];
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionenco.pos4.value=\"";
	*pCtxt<<pError->encoval[1];
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionenco.pos5.value=\"";
	*pCtxt<<pError->encoval[2];
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionenco.pos6.value=\"";
	*pCtxt<<pError->encoval[3];
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionenco.pos7.value=\"";
	*pCtxt<<pError->encoval[4];
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionenco.pos8.value=\"";
	*pCtxt<<pError->encoval[5];
	*pCtxt<<"\";";
	
 dbWork = ((double)pError->xyzval[0] / 1000.0) + 0.00499;
	m_strBase.Format("%7.2f", dbWork );
	dbWork = ((double)pError->xyzval[1] / 1000.0) + 0.00499;
	m_strShoulder.Format("%7.2f", dbWork );
	dbWork = ((double)pError->xyzval[2] / 1000.0) + 0.00499;
	m_strElbow.Format("%7.2f", dbWork );
	dbWork = ((double)pError->xyzval[3] / 1000.0) + 0.00499;
	m_strPitch.Format("%7.2f", dbWork );
	dbWork = ((double)pError->xyzval[4] / 1000.0) + 0.00499;
	m_strRoll.Format("%7.2f", dbWork );
	*pCtxt<<"parent.SHOW.document.positionxyz.pos3.value=\"";
	*pCtxt<<m_strBase;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionxyz.pos4.value=\"";
	*pCtxt<<m_strShoulder;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionxyz.pos5.value=\"";
	*pCtxt<<m_strElbow;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionxyz.pos6.value=\"";
	*pCtxt<<m_strPitch;
	*pCtxt<<"\";";
	*pCtxt<<"parent.SHOW.document.positionxyz.pos7.value=\"";
	*pCtxt<<m_strRoll;
	*pCtxt<<"\";";
   }
	
    
		
    if(pError->exit==1)
	{   Sleep(200);
		*pCtxt<<"parent.window.close();";
    }

	*pCtxt<<"\n-->";

	
	*pCtxt<<"</SCRIPT>";

	*pCtxt<<"</BODY>\n";
  	*pCtxt<<"</HTML>";

}

//This function shows a dialog box after excecuting online
//in order  to activate motors 
//-------------------------------------------------------------------


void CRobot::control_on_dialog(CHttpServerContext* pCtxt)
{
 	int begin=0;
	int end=1;
	
	excecute_combo_control=0;
	*pCtxt<<"if(parent.OPTION.window.confirm(\"do you want to excecute control on?\"))\n";
	*pCtxt<<"{\n";			 
	*pCtxt<<"document.control.controlon.value=\"On\";";
	*pCtxt<<"document.control.submit();\n";		 
	*pCtxt<<"}\n";
}

//-------------------------------------------------------------------

void CRobot::get_excecute_combo_control(int mode)
{
 excecute_combo_control=mode;
}
//-------------------------------------------------------------------

void CRobot::get_mode_online(int mode)
{
mode_online=mode;
}
//-------------------------------------------------------------------

void CRobot::get_control_on(int mode)
{
control_on_flag=mode;
}
//-------------------------------------------------------------------

void CRobot::get_check_online(int mode)
{
 check_online=mode;
}
//-------------------------------------------------------------------

int  CRobot::give_excecute_combo_control()
{
 int mode;
 mode=excecute_combo_control;
 return mode;
}
//-------------------------------------------------------------------
int  CRobot::give_mode_online()
{
 int mode;
 mode=mode_online;
 return mode;
}
//-------------------------------------------------------------------
int  CRobot::give_control_on()
{
 int mode;
 mode=control_on_flag;
 return mode;
}
//-------------------------------------------------------------------
int  CRobot::give_check_online()
{
 int mode;
 mode=check_online;
 return mode;
}
//-------------------------------------------------------------------

void CRobot::closemanual()
{
	count=0;
	CloseManual();
}
//-------------------------------------------------------------------

void CRobot::turndigitalout(int out,int mode1,int mode2,int mode3,int mode4,int mode5,int mode6,int mode7,int mode8)
{
if(out==1)
{
	if(mode1==1)
		SetDigitalOutput(0,OUT_ON);
	else
		SetDigitalOutput(0,OUT_OFF);	
}
else
	if(out==2)
	{
		if(mode2==1)
			SetDigitalOutput(1,OUT_ON);
		else
		if(mode2==0)
			SetDigitalOutput(1,OUT_OFF);	
	}
else
	if(out==3)
	{
		if(mode3==1)
			SetDigitalOutput(2,OUT_ON);
		else
		if(mode3==0)
			SetDigitalOutput(2,OUT_OFF);	
}
else	
	if(out==4)
	{
		if(mode4==1)
			SetDigitalOutput(3,OUT_ON);
		else
		if(mode4==0)
			SetDigitalOutput(3,OUT_OFF);	
	}
else
	if(out==5)
	{
		if(mode5==1)
			SetDigitalOutput(4,OUT_ON);
		else
		if(mode5==0)
			SetDigitalOutput(4,OUT_OFF);	
}	
else
	if(out==6)
	{
		if(mode6==1)	
			SetDigitalOutput(5,OUT_ON);
		else
		if(mode6==0)
			SetDigitalOutput(5,OUT_OFF);	
}
	
else	
	if(out==7)
	{
		if(mode7==1)
			SetDigitalOutput(6,OUT_ON);
		else
			SetDigitalOutput(6,OUT_OFF);
	}
else
	if(out==8)
	{
		if(mode8==1)
			SetDigitalOutput(7,OUT_ON);
		else
			SetDigitalOutput(7,OUT_OFF);

	}

}
//-------------------------------------------------------------------

void CRobot::Home_robot(CHttpServerContext* pCtxt)
{
pError->grippermotion=1;
pHome->home=1;
Home('A',(CallBackFun)&fnHomingNotif);
pError->grippermotion=0;
pHome->home=0;
controlframe(pCtxt);
}

static counter;
//-------------------------------------------------------------------

void CRobot::Errorframe(CHttpServerContext *pCtxt)
{

	char buffer[]="<HTML> <head> </head><BODY bgcolor=\"blue\">";
	*pCtxt<<buffer;
	*pCtxt<<"<FORM NAME=\"Error\" ACTION=\""; 
	*pCtxt<<pFile.strServerLocation;
    *pCtxt<<"\" METHOD=\"GET\">";      
    *pCtxt<<"<INPUT TYPE=\"HIDDEN\" NAME=\"MfcISAPICommand\" VALUE=\"showerror\">";
	*pCtxt<<"<INPUT TYPE=\"TEXT\" NAME=\"timer\" VALUE=\"\">";
	*pCtxt<<"</FORM>";
	*pCtxt<<"<SCRIPT language=\"javascript\">";
	if(counter>0)
	{
		*pCtxt<<"document.Error.timer.value=parent.SHOW.communication.beg2.value;";
		counter++;
    }
	if(IsOnLineOk())
      *pCtxt<<"parent.SHOW.mode.Connection.value=\"On-Line\";";
    else
	{
		*pCtxt<<"parent.SHOW.mode.Connection.value=\"Off-Line\";";	
	    *pCtxt<<"parent.SHOW.mode.Controlstat.value=\"\";";
    }
	if(IsOnLineOk())
		if(pError->controlon==0)
			*pCtxt<<"parent.SHOW.mode.Controlstat.value=\"Control-Off\";";
    else
		*pCtxt<<"parent.SHOW.mode.Controlstat.value=\"Control-On\";";

   if(IsOnLineOk())
	{
		CString m_speed,m_strBase,m_strShoulder,m_strElbow,m_strPitch,m_strRoll;
		double dbWork = ((double)pError->jointval[0] / 1000.0) + 0.00499;
		m_strBase.Format("%7.2f", dbWork );
		dbWork = ((double)pError->jointval[1] / 1000.0) + 0.00499;
		m_strShoulder.Format("%7.2f", dbWork );
		dbWork = ((double)pError->jointval[2] / 1000.0) + 0.00499;
		m_strElbow.Format("%7.2f", dbWork );
		dbWork = ((double)pError->jointval[3] / 1000.0) + 0.00499;
		m_strPitch.Format("%7.2f", dbWork );
		dbWork = ((double)pError->jointval[4] / 1000.0) + 0.00499;
		m_strRoll.Format("%7.2f", dbWork );
		*pCtxt<<"parent.SHOW.document.positionarm.pos2.value=\""; 
		*pCtxt<<m_strBase;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionarm.pos3.value=\"";
		*pCtxt<<m_strShoulder;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionarm.pos4.value=\"";
		*pCtxt<<m_strElbow;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionarm.pos5.value=\"";
		*pCtxt<<m_strPitch;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionarm.pos6.value=\"";
		*pCtxt<<m_strRoll;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionenco.pos3.value=\"";
		*pCtxt<<pError->encoval[0];
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionenco.pos4.value=\"";
		*pCtxt<<pError->encoval[1];
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionenco.pos5.value=\"";
		*pCtxt<<pError->encoval[2];
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionenco.pos6.value=\"";
		*pCtxt<<pError->encoval[3];
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionenco.pos7.value=\"";
		*pCtxt<<pError->encoval[4];
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionenco.pos8.value=\"";
		*pCtxt<<pError->encoval[5];
		*pCtxt<<"\";";
		dbWork = ((double)pError->xyzval[0] / 1000.0) + 0.00499;
		m_strBase.Format("%7.2f", dbWork );
		dbWork = ((double)pError->xyzval[1] / 1000.0) + 0.00499;
		m_strShoulder.Format("%7.2f", dbWork );
		dbWork = ((double)pError->xyzval[2] / 1000.0) + 0.00499;
		m_strElbow.Format("%7.2f", dbWork );
		dbWork = ((double)pError->xyzval[3] / 1000.0) + 0.00499;
		m_strPitch.Format("%7.2f", dbWork );
		dbWork = ((double)pError->xyzval[4] / 1000.0) + 0.00499;
		m_strRoll.Format("%7.2f", dbWork );
		*pCtxt<<"parent.SHOW.document.positionxyz.pos3.value=\"";
		*pCtxt<<m_strBase;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionxyz.pos4.value=\"";
		*pCtxt<<m_strShoulder;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionxyz.pos5.value=\"";
		*pCtxt<<m_strElbow;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionxyz.pos6.value=\"";
		*pCtxt<<m_strPitch;
		*pCtxt<<"\";";
		*pCtxt<<"parent.SHOW.document.positionxyz.pos7.value=\"";
		*pCtxt<<m_strRoll;
		*pCtxt<<"\";";
	}
	
	if(pError->finish==0)
		MoveManual((unsigned char)axesnumber,speedvalue*10);
*pCtxt<<"document.Error.submit();";
*pCtxt<<"</SCRIPT>";
*pCtxt<<"</BODY>";
*pCtxt<<"</HTML>"; 
}
//-------------------------------------------------------------------
