// ROBONET.CPP - Implementation file for your Internet Server
//    robonet Extension
#include "stdafx.h"
#include "robonet.h"
#include "controller.h"
#include "Error.h"
ErrorInfo* pErrorInf;
Error* pError;
Homerob* pHome;
#define RESPONSE_HEADERS "Content-Type:text/html\r\n\r\n"
#define INFINITE_WAIT 5000 //defines the long wait to be ready for response
#define SHORT_WAIT 1200// updating fast when performing movement 
static counterman;
TCHAR strConfigSection[] =_T("CONFIG");//Ini file path
TCHAR strServerPath[]=_T("ServerPath");	//Ini file path
TCHAR strTimeout[]=_T("TimeOut");//Ini file path
TCHAR strCampath[]=_T("Camera file");//Ini file path
TCHAR strPassword[]=_T("Password");//Ini file path
TCHAR strRefreshrate[]=_T("rate picture update");//Ini file path
TCHAR strName[]=_T("User name");//Ini file path
//////////////////////////////////////////////////////////////////////
// The one and only CWinApp object
// NOTE: You may remove this object if you alter your project to no
// longer use MFC in a DLL.

CWinApp theApp;
static Numvisitors;// A variable that states if there is 
				   //someone uses the Robot 
///////////////////////////////////////////////////////////////////////
// command-parsing map

BEGIN_PARSE_MAP(CRobonetExtension, CHttpServer)
	// TODO: insert your ON_PARSE_COMMAND() and 
	// ON_PARSE_COMMAND_PARAMS() here to hook up your commands.
	// For example:
	//This Commands parse from the html forms   to the functions 
	//that are part from CRobonetExtension     
	
	DEFAULT_PARSE_COMMAND(Default,CRobonetExtension)
    ON_PARSE_COMMAND(Default,CRobonetExtension, ITS_EMPTY)
	ON_PARSE_COMMAND(Start,CRobonetExtension, ITS_EMPTY)
					   
	ON_PARSE_COMMAND(submitframe,CRobonetExtension,ITS_EMPTY)
	ON_PARSE_COMMAND(getmainframe,CRobonetExtension,ITS_EMPTY)
    ON_PARSE_COMMAND(getErrframe,CRobonetExtension,ITS_EMPTY)
    ON_PARSE_COMMAND(getpicframe,CRobonetExtension,ITS_EMPTY)
    ON_PARSE_COMMAND(getendmotion,CRobonetExtension,ITS_EMPTY)
    
	ON_PARSE_COMMAND(Ronline, CRobonetExtension, ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR)
	ON_PARSE_COMMAND_PARAMS("mode Rname Rtype arm_type speed")
	ON_PARSE_COMMAND(do_control,CRobonetExtension,ITS_PSTR)
  	ON_PARSE_COMMAND_PARAMS("controlon ")
	ON_PARSE_COMMAND(moveaxes,CRobonetExtension,ITS_I2 ITS_PSTR ITS_I2 ITS_I2)
  	ON_PARSE_COMMAND_PARAMS("speed axes_type axes_num statusmove")
	ON_PARSE_COMMAND(endmanual,CRobonetExtension,ITS_PSTR)
	ON_PARSE_COMMAND_PARAMS("endmove")
	ON_PARSE_COMMAND(showerror,CRobonetExtension,ITS_PSTR)
    ON_PARSE_COMMAND_PARAMS("timer")
	ON_PARSE_COMMAND(Updatevisit,CRobonetExtension,ITS_PSTR)
	ON_PARSE_COMMAND_PARAMS("Visit")
	ON_PARSE_COMMAND(turnoutput,CRobonetExtension,ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ) 
	ON_PARSE_COMMAND_PARAMS("outnumber outmode1 outmode2 outmode3 outmode4 outmode5 outmode6 outmode7 outmode8")
	ON_PARSE_COMMAND(Homing,CRobonetExtension,ITS_EMPTY) 
	ON_PARSE_COMMAND(Sendgripper,CRobonetExtension,ITS_PSTR)
	ON_PARSE_COMMAND_PARAMS("mode")
	ON_PARSE_COMMAND(Exitprog,CRobonetExtension,ITS_EMPTY)
	ON_PARSE_COMMAND(update,CRobonetExtension,ITS_PSTR ITS_PSTR ITS_PSTR)
	ON_PARSE_COMMAND_PARAMS("Linkdir typerob Linkcam ")
	ON_PARSE_COMMAND(Security,CRobonetExtension,ITS_PSTR ITS_PSTR)
	ON_PARSE_COMMAND_PARAMS("nameclient password")
	ON_PARSE_COMMAND(Rnumchange,CRobonetExtension,ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR ITS_PSTR)
	ON_PARSE_COMMAND_PARAMS(" timeoutselect cam path name pass refreshrate")
	ON_PARSE_COMMAND(Initialize,CRobonetExtension,ITS_EMPTY)
	ON_PARSE_COMMAND(Updateused,CRobonetExtension,ITS_EMPTY)
	END_PARSE_MAP(CRobonetExtension)


///////////////////////////////////////////////////////////////////////
// The one and only CRobonetExtension object

CRobonetExtension theExtension;
static const UINT nIDHTMLType=23;

static const TCHAR szLocation[1000];



///////////////////////////////////////////////////////////////////////
// CRobonetExtension implementation

CRobonetExtension::CRobonetExtension()
{
 //initiliazing the flags  
 pError=new Error; 
 pHome=new Homerob;
 pError->err_message=0;
 pError->error_flag=0;
 pError->finish=1;
 pHome->home=0;
 pError->grippermotion=0;
 pError->Grippermode=0;
 error_occured=0;
 m_flag_controldlg=0;
 m_onlineflag=0;
 for(int i=0;i<=5;i++)
{
	pError->jointval[i]=0;
    pError->xyzval[i]=0;
	pError->encoval[i]=0;
}
WatchControl((CallBackFun)&AxisControl);//activating all the watch to get updates from controller
WatchMotion((CallBackFun)&MotionEnd,NULL);
ShowEnco((CallBackFun)&ViewShowEnco);
WatchJoint((CallBackFun)&ViewWatchJoint);
ShowXYZ((CallBackFun)&ViewShowXyz);

}

CRobonetExtension::~CRobonetExtension()
{
 delete pError;
 delete pHome;
  
}

BOOL CRobonetExtension::GetExtensionVersion(HSE_VERSION_INFO* pVer)
{
	// Call default implementation for initialization
	CHttpServer::GetExtensionVersion(pVer);

	// Load description string
	TCHAR sz[HSE_MAX_EXT_DLL_NAME_LEN+1];
	ISAPIVERIFY(::LoadString(AfxGetResourceHandle(),
			IDS_SERVER, sz, HSE_MAX_EXT_DLL_NAME_LEN));
	_tcscpy(pVer->lpszExtensionDesc, sz);
	
    
    return TRUE;

}

BOOL CRobonetExtension::TerminateExtension(DWORD dwFlags)
{
	// extension is being terminated
	//TODO: Clean up any per-instance resources
  return TRUE;
}

///////////////////////////////////////////////////////////////////////
// CRobonetExtension command handlers


//---------------------------------------------------------
BOOL CRobonetExtension::OnParseError(CHttpServerContext* pCtxt,int nMethodRet)
{
StartContent(pCtxt);
WriteTitle(pCtxt);
UNUSED(nMethodRet);
LPCTSTR	pszObject;
CString errstring;
if(pCtxt->m_pStream!=NULL)
{
pszObject=NULL;
switch(pCtxt->m_pECB->dwHttpStatusCode)
{
case HTTP_STATUS_BAD_REQUEST:
	 errstring="HTTP_BAD_REQUEST";
		if(pCtxt->m_pECB->lpszQueryString)
			pszObject=pCtxt->m_pECB->lpszQueryString;
		else
			pszObject=pCtxt->m_pECB->lpszPathInfo;
break;
case  HTTP_STATUS_AUTH_REQUIRED:
	  errstring="HTTP_AUTH_REQUIRED"; break;
case  HTTP_STATUS_FORBIDDEN:
	  errstring="HTTP_FORBIDEN";	  break;
case  HTTP_STATUS_NOT_FOUND:
	  errstring="HTTP_NOT_FOUND";	  break;
case  HTTP_STATUS_SERVER_ERROR:
	  errstring="HTTP_SERVER_ERROR";  break;
case  HTTP_STATUS_NOT_IMPLEMENTED:
	  errstring="HTTP_NOT_IMPLEMENTED"; 
	  pszObject=pCtxt->m_pECB->lpszQueryString; break;
default:
	  errstring="HTTP_NO_TEXT";
	  pszObject=(LPCTSTR)pCtxt->m_pECB->dwHttpStatusCode;
	  break;

}
CHttpServer::StartContent(pCtxt);
if(pszObject!=NULL)
{
	*pCtxt<<pszObject;
	*pCtxt<<"\r\n";
	*pCtxt<<errstring;
}
else
    *pCtxt<<errstring;
	CHttpServer::EndContent(pCtxt);
}

return TRUE;
EndContent(pCtxt);
}    
//------------------------end parse error------------///////////

//-----This function sends Commands to the controller depends on the --------------
//-----the request of the Client.

void CRobonetExtension::Ronline( CHttpServerContext* pCtxt,LPTSTR pszmode,LPTSTR pszRname,LPTSTR pszRtype,LPSTR pszarm_type,LPSTR pszspeed)//,LPTSTR pszRtype,LPTSTR pszspeed )
{
int control_on;
CString pszonline;
 
CString type_robot;
int end=1,begin=0,control_mode=1;
//checks if the online operation was success
if(IsEmergency()) //if emergency button was pressed the Commands will 
                  //not be sent to the robot
{
	
	*pCtxt<<"parent.SHOW.document.emergencyerror.style.visibility=\"visible\";";
	pRobot.controlframe(pCtxt); //update frame that Emergency button was pressed
	return;
}

type_robot=pszRtype;

if(type_robot=="ER-2")
	rob_num=21;				
else
    rob_num=41;	 
pszonline=pszmode;
//check cases of operations made by the Client 
//and the status the communication with the Controller
if(pszonline=="online")
{ 
	   
	if(pRobot.Online(pCtxt,rob_num))
	{
				 	
	Sleep(100);
		if(IsOnLineOk())	
			{
			m_onlineflag=1;
			m_flag_controldlg=1;   
		    pRobot.get_excecute_combo_control(m_flag_controldlg);
			pRobot.controlframe(pCtxt);   
            return;  
			}
		else
		{
			m_onlineflag=0;
			pRobot.controlframe(pCtxt);   
			return;  
		}

	}
}	

else 
if(pszonline=="offline")
{

	pRobot.Offline(rob_num);		 	
	Sleep(100);
	pRobot.Offline(rob_num);
	if(!IsOnLineOk())	
		{
		m_onlineflag=0;
		m_flag_controldlg=0;
		}

	}

else
	if(pszonline=="On"&&pError->err_message==0)
	{		
		m_flag_controldlg=0;
	 	if(IsOnLineOk( ))	
		{
			do_control(pCtxt,pszonline);	 
			control_on=1;
		}
		
			m_flag_controldlg=0;
	}
else
	if(pszonline=="Off")
	{	
		m_flag_controldlg=0;
	    control_mode=0;
	    control_on=0;
		m_onlineflag=1;
	}

pRobot.get_excecute_combo_control(m_flag_controldlg);
pRobot.get_mode_online(m_onlineflag);		
pRobot.get_control_on(control_on);
pRobot.controlframe(pCtxt);   
	   	
}

 //--------------------------------------------------------
BOOL CRobonetExtension::LoadLongResource(CString& str,UINT nID) 
{
	HRSRC hRes;
	HINSTANCE hInst =AfxGetResourceHandle();
	BOOL bResult =FALSE;

	hRes =FindResource(hInst, MAKEINTRESOURCE(nID),(LPCTSTR)nIDHTMLType);
	if(hRes == NULL)
		ISAPITRACE1("Error:Resource %d could not be found\r\n",nID);
	else
	{
		DWORD dwSize=SizeofResource(hInst,hRes);
		if (dwSize==0)
		{
			str.Empty();
			bResult=TRUE;
		}
		else
		{
			LPTSTR pszStorage=str.GetBufferSetLength(dwSize);

			HGLOBAL hGlob=LoadResource(hInst, hRes);
			if(hGlob!= NULL)
			{
				LPVOID lpData=LockResource(hGlob);

				if(lpData!=NULL)
				{
					memcpy(pszStorage,lpData,dwSize);
					bResult=TRUE;
				}

				FreeResource(hGlob);
			}
		}
	}

#ifdef _DEBUG
	if (!bResult)
		str.Format(_T("<b>Could not find string %d</b>"),nID);
#endif

	return bResult;
}


// Do not edit the following lines, which are needed by ClassWizard.
#if 0
BEGIN_MESSAGE_MAP(CRobonetExtension, CHttpServer)
	//{{AFX_MSG_MAP(CRobonetExtension)
	ON_WM_TIMER()
	ON_WM_ACTIVATE()
	ON_WM_ACTIVATEAPP()
	ON_WM_ASKCBFORMATNAME()
	ON_WM_DELETEITEM()
	ON_WM_CANCELMODE()
	ON_WM_CAPTURECHANGED()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif	// 0




///////////////////////////////////////////////////////////////////////
// If your extension will not use MFC, you'll need this code to make
// sure the extension objects can find the resource handle for the
// module.  If you convert your extension to not be dependent on MFC,
// remove the comments arounn the following AfxGetResourceHandle()
// and DllMain() functions, as well as the g_hInstance global.

/****

static HINSTANCE g_hInstance;

HINSTANCE AFXISAPI AfxGetResourceHandle()
{
	return g_hInstance;
}

BOOL WINAPI DllMain(HINSTANCE hInst, ULONG ulReason,
					LPVOID lpReserved)
{
	if (ulReason == DLL_PROCESS_ATTACH)
	{
		g_hInstance = hInst;
	}

	return TRUE;
}

****/

	
//------------writing title to html page---------------
void CRobonetExtension::WriteTitle(CHttpServerContext* pCtxt) const
{
	// TODO: Add your specialized code here and/or call the base class
	
	*pCtxt<<"<TITLE>WELCOME TO ROBONET</TITLE>";
    *pCtxt<<"<HEAD>\n";
	*pCtxt<<"<meta http-equiv=\"Content-Type\" content=\"text/html\"; charset=\"windows-1252\">";
}
//--------------ends html page-----------------------
void CRobonetExtension::EndContent(CHttpServerContext* pCtxt) const
{
	// TODO: Add your specialized code here and/or call the base class
	
*pCtxt<<"</HTML>";
}

///-begin http extension proc the main of the internet program------///////

DWORD CRobonetExtension::HttpExtensionProc(EXTENSION_CONTROL_BLOCK *pECB) 
{
   DWORD  dwResult = CHttpServer::HttpExtensionProc(pECB);
	if(dwResult == HSE_STATUS_SUCCESS)
	  return HSE_STATUS_SUCCESS_AND_KEEP_CONN;
	else
	  return dwResult;

}
//----------------------End http extension proc----///////


LPCTSTR CRobonetExtension::GetTitle() const
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CHttpServer::GetTitle();
}
//-----------begins html page---------------
void CRobonetExtension::StartContent(CHttpServerContext* pCtxt) const
{
	// TODO: Add your specialized code here and/or call the base class
	
	*pCtxt<<"<HTML>";

}

//create the manual dialog to html form
//---------------------------------------------------------
//---------------------------------------------------------
//starting to write the menu to html form
//---------------------------------------------------------
//function that sends command to excecute control on or control off
//-----------------------------------------------------------

void CRobonetExtension::do_control(CHttpServerContext *pCtxt,CString pszcontrolon)
 {
 int begin=0;
 int end=1;
 
 CString controlval;
 controlval=pszcontrolon;
 int excecute_combo_control=0;
 pRobot.get_excecute_combo_control(excecute_combo_control);
 pRobot.control_on(controlval);
 
 pRobot.controlframe(pCtxt);
 
 
  }
//This frame is the main frame of the application
//From this frame you can send commands to the controller 
// using the other frames to the server 
//and get the updated information from the server

void CRobonetExtension::getmainframe(CHttpServerContext* pCtxt)
{
    
	CString strOutput;
	LoadLongResource(strOutput,IDR_CONTROLFRAME);
	strOutput+="<BODY marginwidth=\"0\" marginheight=\"0\" leftmargin=\"0\" topmargin=\"0\" bgcolor=\"#778899\" oncontextMenu=\"return false\" onbeforeunload=\"finishnow()\">"; //onload=\"mainTextScroller()\">\n";
 
	GetPrivateProfileString(strConfigSection,strTimeout,NULL,pFile.strTimeOut,sizeof(pFile.strTimeOut),"robonet.ini");

	strOutput+="<script>"; 
	strOutput+="if(!document.layers&&!document.all&&!document.getElementById)";
	strOutput+="event=\"test\";";
	strOutput+="\nfunction showtip(current,e,text){\n";

	strOutput+="if (document.all||document.getElementById){";
	strOutput+="thetitle=text.split('<br>');";
	strOutput+="current.style.backgroundColor=\"#b0c4de\";";
	strOutput+="if (thetitle.length>1){";
	strOutput+="thetitles=\'\';";
	strOutput+="for(i=0;i<thetitle.length;i++)";
	strOutput+="thetitles+=thetitle[i];";
	strOutput+="current.title=thetitles;";
	strOutput+="}";
	strOutput+="else\n";
	strOutput+="current.title=text;";
	strOutput+="}";

	strOutput+="else if (document.layers){";
	strOutput+="document.tooltip.document.write('<layer bgColor=\"white\" style=\"border:1px solid black;font-size:12px;\"\'>";
	strOutput+="+text+";
	strOutput+="'</layer>');";
	strOutput+="document.tooltip.document.close();";
	strOutput+="\ndocument.tooltip.left=e.pageX+5;";
	strOutput+="\ndocument.tooltip.top=e.pageY+5;";
	strOutput+="\ndocument.tooltip.visibility=\"show\";";
	strOutput+="}";
	strOutput+="}";
	strOutput+="\nfunction hidetip(current){";
	strOutput+="if (document.layers)";
	strOutput+="\ndocument.tooltip.visibility=\"hidden\";";
	strOutput+="current.style.backgroundColor=\"#d3d3d3\";";

	strOutput+="}";

	strOutput+="</script>";
	strOutput+="<FORM NAME=\"communication\"  bgcolor=\"red\" >";      
	strOutput+="<table border=\"0\" bgcolor=\"#cccccc\" cellspadding=\"1\" width=\"100%\" hight=\"5%\" cellspacing=\"1\">";
	strOutput+="<div id=\"tooltip\" style=\"visibility:hidden\"></div>";
    strOutput+="<tr >";
	
	strOutput+="<td width=\"8%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\"  size=\"5\"  NAME=\"online\"  VALUE=\"Online\" style=\"font-family:verdana;color:#003366;background:#d3d3d3;\" onclick=\"change_mode(\'online\')\" onMouseover=\"showtip(this,event,'Activate Online')\" onMouseout=\"hidetip(this)\">";
    strOutput+="</td>";
	strOutput+="<td width=\"8%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"5\"   NAME=\"offline\"  VALUE=\"Offline\" style=\"color:#003366;background:#d3d3d3;font-size:80%;font-family:verdana;\" onclick=\"change_mode(\'offline\')\"  onMouseover=\"showtip(this,event,'Activate Offline')\" onMouseout=\"hidetip(this)\">";
    strOutput+="</td>";
	strOutput+="<INPUT TYPE=\"HIDDEN\" size=\"5\" bgcolor=\"#cccccc\" style=\"color:#003366;background:#d3d3d3;\" NAME=\"controlmode\"  VALUE=\"offline\" >";
	strOutput+="<td width=\"5%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\"  size=\"5\" bgcolor=\"#cccccc\" style=\"visibility:hidden;color:#003366;color:#003366;background:#d3d3d3;\" NAME=\"Home\"  VALUE=\"Home\" style=\"font-size:80%;font-family:verdana;\" onclick=\"sendhome()\" onMouseover=\"showtip(this,event,'Homming Robot');\" onMouseout=\"hidetip(this)\">";
	strOutput+="</td>";
	strOutput+="<INPUT TYPE=\"HIDDEN\" size=\"5\" NAME=\"mode_onl\" style=\"color:#003366;background:#d3d3d3;\" VALUE=\"offline\">";
   	strOutput+="<td width=\"5%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"5\"  NAME=\"controlon\"   VALUE=\"On\"  onclick=\"change_mode(\'controlon\')\" style=\"font-size:80%;color:#003366;background:#d3d3d3;font-family:verdana;color:#003366;background:#d3d3d3;\"   onMouseover=\"showtip(this,event,'Control on')\" onMouseout=\"hidetip(this)\">";
   	strOutput=="</td>";
	strOutput+="<td width=\"5%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"5\" bgcolor=\"#cccccc\" NAME=\"controloff\"   VALUE=\"Off\" style=\"color:#003366;background:#d3d3d3;font-family:verdana;color:#003366;\"  onclick=\"change_mode(\'controloff\')\"  onMouseover=\"showtip(this,event,'Control off')\" onMouseout=\"hidetip(this)\">";
   	strOutput+="</td>";
	strOutput+="<td width=\"5%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" VALUE=\"View\" bgcolor=\"#cccccc\"    style=\"color:#003366;background:#d3d3d3;\" onclick=\"turnfun(6)\" onMouseover=\"showtip(this,event,'View Dialog Bars')\" onMouseout=\"hidetip(this)\">"; 
    strOutput+="</td>";
	strOutput+="<td width=\"5%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" VALUE=\"Exit\" bgcolor=\"#cccccc\"   style=\"color:#003366;background:#d3d3d3;font-size:80%;font-family:verdana;color:#003366;\" onClick=\"parent.window.close()\" onMouseover=\"showtip(this,event,'Exit Program')\" onMouseout=\"hidetip(this)\">";
	strOutput+="</td>";
	strOutput+="<td width=\"30%\">";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<font size=\"4\" color=\"blue\">Time Remained:</font>";
    strOutput+="<INPUT TYPE=TEXT size=\"5\" name=\"disp2\" STYLE=\"background:#cccccc; border-style=none; font-size:100%; font-family:verdana;color:white;\" VALUE=\"Manual Movement\" readonly>\n";
	strOutput+="<INPUT TYPE=\"TEXT\" size=\"1\" STYLE=\"visibility:hidden;background:#778899; border-style=none; font-size:10pt; font-family:verdana;color:#003366;\" VALUE=\"ER-2\" READONLY>\n";
	strOutput+="</td>";
	
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"errorcount\">"; 
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"Rtype\" VALUE=\"4\">\n";
	strOutput+="<INPUT TYPE=\"HIDDEN\"   NAME=\"speedval\" VALUE=\"1\">\n";   
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"arm_type\">";
	strOutput+="<input type=\"hidden\" size=\"1\" name=\"beg2\" value=\"";
	strOutput+=pFile.strTimeOut;
	strOutput+="\">";
	strOutput+="</tr>";
	strOutput+="</table>";
	strOutput+="</FORM>";
	strOutput+="<script>";
	strOutput+="window.Down();";
    strOutput+="</script>";
	strOutput+="<FORM width=\"100%\" name=\"Functions\">";
	strOutput+="<table border=\"0\"cellspadding=\"1\" width=\"100%\" height=\"5%\" cellspacing=\"1\" style=\"color:white;font-family:verdana;\">";
	strOutput+="<tr></tr><tr>";
	strOutput+="<td width=\"20%\">";
	strOutput+="Manual movement:";
	strOutput+="<INPUT TYPE=\"checkbox\" NAME=\"movement\" checked onclick=\"turnfun(1)\" >";
	strOutput+="<INPUT TYPE=\"hidden\" NAME=\"movementval\" value=\"0\">";
	strOutput+="</td>";
	strOutput+="<td width=\"12%\">";
	strOutput+="Encoders:";
	strOutput+="<INPUT TYPE=\"checkbox\" NAME=\"encoders\" checked onclick=\"turnfun(2)\" >";
	strOutput+="<INPUT size=\"1\" TYPE=\"hidden\" NAME=\"encodersval\" value=\"0\">";
	strOutput+="</td>";
	strOutput+="<td width=\"12%\">";
	strOutput+="Joints:";
	strOutput+="<INPUT TYPE=\"checkbox\" NAME=\"joints\" checked onclick=\"turnfun(3)\" >";
	strOutput+="<INPUT size=\"1\" TYPE=\"hidden\" NAME=\"jointsval\"  value=\"0\">";
	strOutput+="</td>";
    strOutput+="<td width=\"12%\">";
	strOutput+="Outputs:";
	strOutput+="<INPUT TYPE=\"checkbox\" NAME=\"outputs\" checked onclick=\"turnfun(4)\" >";
	strOutput+="<INPUT TYPE=\"hidden\" size=\"1\" NAME=\"outputsval\" value=\"0\">";
	strOutput+="</td>";
	strOutput+="<td width=\"12%\">";
	
	strOutput+="XYZ:";
	strOutput+="<INPUT TYPE=\"checkbox\" NAME=\"xyz\" checked onclick=\"turnfun(5)\" >";
	strOutput+="<INPUT TYPE=\"hidden\" NAME=\"xyzval\"  size=\"1\"value=\"0\">";
	strOutput+="<INPUT TYPE=\"hidden\" NAME=\"view\"  size=\"1\"value=\"0\">";
	strOutput+="</td>";
	strOutput+="</DIV>";
	strOutput+="</tr>";
	strOutput+="</table>";
	strOutput+="</FORM>";	
	
	
	strOutput+="<div id=\"prem_hint\"  style=\"visibility:hidden\" class=\"prem_hint\">";
	strOutput+="<table border=\"0\" bgcolor=\"#cccccc\" cellspadding=\"1\" width=\"100%\" hight=\"5%\" cellspacing=\"4\">";
	strOutput+="<tr><td width=\"30%\"></td><td>";
	strOutput+="<font color=\"#FF0000\" size=\"3\"><b>Prepare to finish working</b></font>";
	strOutput+="</td>";
	strOutput+="</tr>";
	strOutput+="</table>";
	strOutput+="</DIV>";
	strOutput+="<FORM NAME=\"homing\" style=\"background:#778899;\" >";		 	
	strOutput+="<table border=\"0\" bgcolor=\"#cccccc\" cellspadding=\"1\" width=\"100%\" hight=\"5%\" cellspacing=\"1\">";
	strOutput+="<tr>";
	strOutput+="<td width=\"40%\">";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<DIV STYLE=\"background:#cccccc\"\">";
	strOutput+="<INPUT TYPE=\"TEXT\" VALUE=\"ROBOT HAS NOT BEEN HOMED\" size=\"35\"  READONLY style=\"font-family:verdana;background:none;color:red;border-style:none;\" >";
    strOutput+="</DIV>";
    strOutput+="</td>";
	strOutput+="</tr>";
	strOutput+="</table>";
	strOutput+="</FORM>";
	strOutput+="<FORM NAME=\"emergencyerror\" style=\"background:#778899;visibility:hidden;font-size:80%;\" >";
	strOutput+="<table border=\"0\" bgcolor=\"#cccccc\" cellspadding=\"1\" width=\"100%\" hight=\"5%\" cellspacing=\"1\">";
	strOutput+="<tr>";
	strOutput+="<td width=\"40%\">";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<DIV STYLE=\"background:#cccccc;\">";
	strOutput+="<INPUT TYPE=\"TEXT\" VALUE=\"EMERGENCY BUTTON IS ON\" size=\"30\"  READONLY style=\"background:none;color:RED;border-style:none;\" >";
	strOutput+="</DIV>";
	strOutput+="</td>";
	strOutput+="</tr>";
	strOutput+="</table>";
	strOutput+="</FORM>";
	
	strOutput+="<FORM NAME=\"movement\"  style=\"width:40%;background:#cccccc;\">";
	strOutput+="<table border=\"0\"  cellspadding=\"1\" width=\"40%\"  cellspacing=\"5\" style=\"background:#cccccc;\" >";
	strOutput+="<tr><td>";
	strOutput+="<INPUT TYPE=\"hidden\" name=\"status\" size=\"1\" STYLE=\"background:#cccccc ;font-size:70%; font-family:verdana;color:#003366;border-style:none;\" VALUE=\"1\" READONLY>\n";
	strOutput+="</td></tr>";
	strOutput+="<tr>";
	strOutput+="<td >";
	strOutput+="<FONT COLOR=\"#003366\"><b>\n";
	strOutput+="Manual Movement";
	strOutput+="</b>";
	strOutput+="</font>";
	strOutput+="</td>";
	strOutput+="</tr><tr></tr><tr></tr>";
	strOutput+="<tr>";
	strOutput+="<td>";
	strOutput+="<font color=\"#003366\">";
	strOutput+="Joints:";
	strOutput+="</font>";
	strOutput+="<INPUT TYPE=\"RADIO\" NAME=\"arm_typeway\" VALUE=\"joints\" checked Onclick=\"Change(this.form,2)\">";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<font color=\"#003366\">";
	strOutput+="XYZ";
	strOutput+="<INPUT TYPE=\"RADIO\" NAME=\"arm_typeway\" VALUE=\"xyz\" Onclick=\"Change(this.form,1)\">\n";
    strOutput+="</font>";
	strOutput+="</td><td></td><td></td><td></td>";
	strOutput+="</tr>";
	strOutput+="</table>";
	strOutput+="<table border=\"0\" style=\"background:#cccccc;\"  cellspadding=\"1\" width=\"30%\"  cellspacing=\"1\">";
	strOutput+="<tr>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"TEXT\"  STYLE=\"background:none; border-style:none;   font-family:verdana;colo:#003366; font-weight:bold; \" NAME=\"axesnum1\" SIZE=\"1\" VALUE=\" 1 \" readonly>\n";   	
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"TEXT\"  STYLE=\"background:none; border-style:none; font-family:verdana; color:#003366;font-weight:bold; \" NAME=\"axesnum2\" SIZE=\"1\"VALUE=\" 2 \" readonly >\n";   
	strOutput+="</td>";
	strOutput+="<td >";	
	strOutput+="<INPUT TYPE=\"TEXT\"  STYLE=\"background:none; border-style:none; font-family:verdana;color:#003366; font-weight:bold;\" NAME=\"axesnum3\" SIZE=\"1\"VALUE=\" 3 \" readonly>\n";   
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"TEXT\"  STYLE=\"background:none; border-style:none;  font-family:verdana;color:#003366; font-weight:bold;\" NAME=\"axesnum4\" SIZE=\"1\"VALUE=\" 4 \" readonly>\n";   
    strOutput+="</td>";
	strOutput+="<td >";
	strOutput+="<INPUT TYPE=\"TEXT\"  STYLE=\"background:none; border-style:none;  font-family:verdana; color:#003366;font-weight:bold;\" NAME=\"axesnum5\" SIZE=\"1\"VALUE=\" 5 \" readonly>\n";   
    strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"TEXT\"  STYLE=\"background:none; border-style:none;  font-family:verdana; color:#003366; font-weight:bold; \" NAME=\"axesnum6\" SIZE=\"1\"VALUE=\" 6 \" readonly>\n";   
    strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=TEXT size=\"5\" STYLE=\"background:none; color:#003366; border-style=none;  font-family:verdana;\" VALUE=\"Speed\" readonly>\n";
	strOutput+="</td><td>";
	strOutput+="<SELECT  NAME=\"speedselect\" onChange=\"change_speed(this.form)\">\n";
	strOutput+="<OPTION VALUE=1> 1</option>";
	strOutput+="<OPTION VALUE=2> 2</option>";
	strOutput+="<OPTION	VALUE=3> 3</option>";
	strOutput+="<OPTION	VALUE=4> 4</option>";
	strOutput+="<OPTION	VALUE=5> 5</option>";
	strOutput+="<OPTION	VALUE=6> 6</option>";
	strOutput+="<OPTION	VALUE=7> 7</option>";
	strOutput+="<OPTION	VALUE=8> 8</option>";
	strOutput+="<OPTION	VALUE=9> 9</option>";
	strOutput+="<OPTION	VALUE=10> 10</option>";
	strOutput+="</SELECT>\n";
	strOutput+="</td>";
	strOutput+="</tr>";
	strOutput+="<tr>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" NAME=\"axes1pos\" VALUE=\" +  \" style=\"color:#003366;\"  onmousedown=\"move_axes(\'axes1pos\')\" onmouseup=\"endmanmovement()\">";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" NAME=\"axes2pos\" VALUE=\" +  \" style=\"color:#003366;\"  onmousedown=\"move_axes(\'axes2pos\')\" onmouseup=\"endmanmovement()\"  >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" NAME=\"axes3pos\" VALUE=\" +  \" style=\"color:#003366;\"  onmousedown=\"move_axes(\'axes3pos\')\" onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" NAME=\"axes4pos\" VALUE=\" +  \" style=\"color:#003366;\"  onmousedown=\"move_axes(\'axes4pos\')\" onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" NAME=\"axes5pos\" VALUE=\" +  \" style=\"color:#003366;\"  onmousedown=\"move_axes(\'axes5pos\')\" onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" NAME=\"axes6pos\" VALUE=\" +  \" style=\"color:#003366;\"  onmousedown=\"move_axes(\'axes6pos\')\" onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" NAME=\"opengripper\"  style=\"color:#003366;\"  value=\" OPEN \"  onclick=\"change_mode(\'opengripper\')\" size=\"8\">";
	strOutput+="</td>";
	strOutput+="</tr>";
	strOutput+="<tr>";																			  
    strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" style=\"color:#003366;\"  NAME=\"axes1neg\" VALUE=\"  -  \" onmousedown=\"move_axes(\'axes1neg\')\"  onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" style=\"color:#003366;\"  NAME=\"axes2neg\" VALUE=\"  -  \"    onmousedown=\"move_axes(\'axes2neg\')\" onmouseup=\"endmanmovement()\">";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" style=\"color:#003366;\"  NAME=\"axes3neg\" VALUE=\"  -  \"   onmousedown=\"move_axes(\'axes3neg\')\" onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" size=\"1\" style=\"color:#003366;\"  NAME=\"axes4neg\" VALUE=\"  -  \"   onmousedown=\"move_axes(\'axes4neg\')\" onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" style=\"color:#003366;\" size=\"1\" NAME=\"axes5neg\" VALUE=\"  -  \"   onmousedown=\"move_axes(\'axes5neg\')\" onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" style=\"color:#003366;\" size=\"1\"  NAME=\"axes6neg\" VALUE=\"  -  \"   onmousedown=\"move_axes(\'axes6neg\')\" onmouseup=\"endmanmovement()\" >";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<INPUT TYPE=\"BUTTON\" style=\"color:#003366;\" size=\"1\" NAME= \"closegripper\" VALUE=\"CLOSE\" onclick=\"change_mode(\'closegripper\')\">"; 
	strOutput+="</td>";
	strOutput+="</tr>";
	strOutput+="</table>";
	strOutput+="</FORM>";
	
	strOutput+="<FORM NAME=\"output\"  >";      
    strOutput+="<table border=\"0\" bgcolor=\"#cccccc\" cellspadding=\"1\" width=\"60%\"  cellspacing=\"3\">";
	strOutput+="<DIV  STYLE=\"background:#cccccc;border-style:1; \">";	
	strOutput+="<tr>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"text\" style=\"color:#003366;border-style:none;background:#cccccc;\"  value=\"OUTPUTS:\" READONLY>"; 
	strOutput+="</td>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" width=\"10\"   NAME=\"out1\" VALUE=\"  1  \"  onclick=\"setoutdigital(1)\"; style=\"background:#5f9ea0;cursor:hand;\">";
	strOutput+="</td>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" width=\"10\" size=\"10\" NAME=\"out2\" VALUE=\"  2  \" onclick=\"setoutdigital(2)\"; style=\"background:#5f9ea0;cursor:hand;\">";
	strOutput+="</td>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" width=\"10\"  size=\"10\" NAME=\"out3\" VALUE=\"  3  \" onclick=\"setoutdigital(3)\"; style=\"background:#5f9ea0;cursor:hand;\">";
	strOutput+="</td>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\"  width=\"10\" size=\"10\" NAME=\"out4\" VALUE=\"  4  \" onclick=\"setoutdigital(4)\"; style=\"background:#5f9ea0;cursor:hand;\">";
	strOutput+="</td>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" width=\"10\" size=\"10\"  NAME=\"out5\" VALUE=\"  5  \" onclick=\"setoutdigital(5)\"; style=\"background:#5f9ea0;cursor:hand;\">";
	strOutput+="</td>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" width=\"10\" size=\"10\" NAME=\"out6\" VALUE=\"  6  \" onclick=\"setoutdigital(6)\"; style=\"background:#5f9ea0;cursor:hand;\">";
	strOutput+="</td>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\" width=\"10\" size=\"10\"  NAME=\"out7\" VALUE=\" 7  \" onclick=\"setoutdigital(7)\"; style=\"background:#5f9ea0;cursor:hand;\">";
	strOutput+="</td>";
	strOutput+="<td width=\"10%\">";
	strOutput+="<INPUT TYPE=\"BUTTON\"  width=\"10\" size=\"10\" NAME=\"out8\" VALUE=\"  8  \" onclick=\"setoutdigital(8)\"; style=\"background:#5f9ea0;cursor:hand;\">";
 	strOutput+="</td>";
	strOutput+="<td width=\"3%\">";
	strOutput+="<INPUT TYPE=\"HIDDEN\" style=\"color:#003366;background:none;background:#006400;\" NAME=\"outmode8\" VALUE=\"off\">\n";
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"outmode1\" VALUE=\"off\">";
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"outmode2\" VALUE=\"off\">";
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"outmode3\" VALUE=\"off\">";
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"outmode4\" VALUE=\"off\">";
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"outmode5\" VALUE=\"off\">";
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"outmode6\" VALUE=\"off\">";
	strOutput+="<INPUT TYPE=\"HIDDEN\" NAME=\"outmode7\" VALUE=\"off\">";
	strOutput+="</td>";
	strOutput+="</tr>";
	strOutput+="</DIV>";
	strOutput+="</table>";	
	strOutput+="</FORM>";

	strOutput+="<FORM NAME=\"positionarm\">";
	strOutput+="<table border=\"0\" bgcolor=\"#003366\" cellspadding=\"1\" width=\"100%\"  style=\"cellspacing=\"1\">";
	strOutput+="<tr>";
	strOutput+="<font color=\"white\"><td><font color=\"white\">Joints(degrees): </font></td><td><font color=\"white\"> Base:</font> <INPUT TYPE=\"TEXT\" READONLY size=\"4\" NAME=\"pos2\" style=\"background:#cccccc;border-style:1;color:black;\">";	
	strOutput+="</td><td>";
	strOutput+="<font color=\"white\">Shoulder:</font> </td><td><INPUT TYPE=\"TEXT\" READONLY size=\"4\" NAME=\"pos3\" style=\"border-style:1;background:#cccccc;color:#black;\">";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<font color=\"white\">Elbow:</font> </td><td> <INPUT TYPE=\"TEXT\" READONLY size=\"4\" NAME=\"pos4\" style=\"border-style:1;background:#cccccc;color:black;\">";
	strOutput+="</td>";
    strOutput+="<td>";
	strOutput+="<font color=\"white\">Pitch:</font> </td><td> <INPUT TYPE=\"TEXT\" READONLY size=\"4\" NAME=\"pos5\" style=\"border-style:1;background:#cccccc;color:black;\">";
	strOutput+="</td>";
	strOutput+="<td>";
	strOutput+="<font color=\"white\">Roll:</font> </td><td><INPUT TYPE=\"TEXT\" size=\"4\" READONLY NAME=\"pos6\"style=\"border-style:1;background:#cccccc;color:black;\">";
	strOutput+="</td>";
    strOutput+="</font>";
	strOutput+="</tr>";
	strOutput+="</table>";
	strOutput+="</FORM>";
	
	strOutput+="<FORM NAME=\"positionenco\" style=\"background:#003366;\" >";
	strOutput+="<table border=\"0\" bgcolor=\"#003366\" cellspadding=\"1\" width=\"100%\"  style=\"cellspacing=\"1\">";
	strOutput+="<tr><td>";
	strOutput+="<font color=\"white\">Encoders:</font></td>"; 
	strOutput+="<td><font color=\"white\">1:</font></td> <td><INPUT TYPE=\"TEXT\" READONLY size=\"6\" NAME=\"pos3\" style=\"border-style:1;background:#cccccc;color:black;\"></td>";
	strOutput+="<td><font color=\"white\">2:</font></td><td><INPUT TYPE=\"TEXT\" READONLY size=\"6\" NAME=\"pos4\" style=\"border-style:1;background:#cccccc;color:black;\"></td>";
	strOutput+="<td><font color=\"white\">3:</font></td><td> <INPUT TYPE=\"TEXT\" READONLY size=\"6\" NAME=\"pos5\" style=\"border-style:1;background:#cccccc;color:black;\"></td>";
	strOutput+="<td><font color=\"white\">4:</font></td><td><INPUT TYPE=\"TEXT\" size=\"6\" READONLY NAME=\"pos6\"style=\"border-style:1;background:#cccccc;color:black;\"></td>";
	strOutput+="<td><font color=\"white\">5:</font></td><td> <INPUT TYPE=\"TEXT\" size=\"6\" READONLY NAME=\"pos7\"style=\"border-style:1;background:#cccccc;color:black;\"></td>";
	strOutput+="<td><font color=\"white\">6:</font></td> <td><INPUT TYPE=\"TEXT\" size=\"6\" READONLY NAME=\"pos8\"style=\"border-style:1;background:#cccccc;color:black;\"></td>";	
	strOutput+="</tr></table>";  
    strOutput+="</FORM>";
    strOutput+="<FORM NAME=\"positionxyz\" style=\"background:#003366;\" >";
	strOutput+="<table border=\"0\" bgcolor=\"#003366\" width=\"100%\"  style=\"cellspacing=\"1\">";
	strOutput+="<tr><td><font color=\"white\">XYZ:</font></td> "; 
	strOutput+="<td>";
	strOutput+="<font color=\"white\">X: </font></td><td><INPUT TYPE=\"TEXT\" READONLY size=\"6\" NAME=\"pos3\" style=\"border-style:1;background:#cccccc;color:black;\"></td>";
	strOutput+="<td><font color=\"white\">Y:</font><td> <INPUT TYPE=\"TEXT\" READONLY size=\"6\" NAME=\"pos4\" style=\"border-style:1;background:#cccccc;color:black;\"></td>";
	strOutput+="<td><font color=\"white\">Z:</font></td><td> <INPUT TYPE=\"TEXT\" READONLY size=\"6\" NAME=\"pos5\" style=\"border-style:1;background:#cccccc;color:black;\"></td>";
	strOutput+="<td><font color=\"white\">P: </font></td><td><INPUT TYPE=\"TEXT\" READONLY size=\"6\" NAME=\"pos6\"style=\"border-style:1;background:#cccccc;color:black;\"></td>";	
	strOutput+="<td><font color=\"white\">R:</font><td> <INPUT TYPE=\"TEXT\" READONLY size=\"6\" NAME=\"pos7\"style=\"border-style:1;background:#cccccc;color:black;\"></td>";
    strOutput+="</tr><tr></tr><tr></tr></table>";
    strOutput+="</FORM>";
  
	
	strOutput+="<FORM NAME=\"mode\" >";
	strOutput+="<table border=\"0\" bgcolor=\"#cccccc\" cellspadding=\"1\" width=\"100%\"  style=\"cellspacing=\"1\">";
	strOutput+="<tr><td width=\"60%\"></td>";
	strOutput+="<td><font color=\"black\"><b>Control:</b></font></td><td><INPUT TYPE=\"TEXT\" NAME=\"Controlstat\" READONLY  value=\"\" size=\"10\" ></td>";
	strOutput+="<td><font color=\"black\"><b>Connection:</b></font></td><td><INPUT TYPE=\"TEXT\" NAME=\"Connection\" READONLY  value=\"Off-Line\" size=\"5\"  ></td>";
	strOutput+="</tr></table>";
	strOutput+="</FORM>";
    strOutput+="<FORM name=\"mainForm\" style=\"position:absolute;visibility:hidden;top:150px;left:300px;\">";
	strOutput+="<center>";
	strOutput+="<input type=\"text\" name=\"mainTextScroller\" size=\"20\"  style=\"font-family:verdana;font-size:20px;border-style:none;background:none;border-style:1;left:0px;\" value>";
	strOutput+="</center>";
	strOutput+="</FORM>";																																				  
	
																																				  
	strOutput+="</BODY>\n";																
	*pCtxt<<strOutput;
}	


//the hidden frame that is built inside the html main page 									
void CRobonetExtension::submitframe(CHttpServerContext *pCtxt)
{
  CString strOutput;
 
  LoadLongResource(strOutput,IDR_SUBMITFRAME);
  *pCtxt<<strOutput;
}
//The Application begins from this point and from here starting reload the frames
void CRobonetExtension::Default(CHttpServerContext *pCtxt)
{
int begin=0;
int end=1;
Sleep(1000);


Numvisitors++;
pError->exit=0;
pError->err_message=0;
pError->error_flag=0;
pError->Grippermode=0;
pError->grippermotion=0;
pError->finish=1;

 pError->Grippermode=0;
 error_occured=0;
 m_flag_controldlg=0;
 m_onlineflag=0;

CString strOutput;
CString strResource;														

GetPrivateProfileString(strConfigSection,strCampath,NULL,pFile.strCampath,sizeof(pFile.strCampath),"robonet.ini");
GetPrivateProfileString(strConfigSection,strServerPath,NULL,pFile.strServerLocation,sizeof(pFile.strServerLocation),"robonet.ini");
GetPrivateProfileString(strConfigSection,strTimeout,NULL,pFile.strTimeOut,sizeof(pFile.strTimeOut),"robonet.ini");

if(strcmp(pFile.strCampath,""))
{
LoadLongResource(strResource,IDR_FRAMESET);
CString strFrame1=CString(pFile.strServerLocation) + CString(_T("?")) + CString(_T("submitframe"));
CString strFrame2=CString(pFile.strServerLocation) + CString(_T("?")) + CString(_T("getmainframe"));
CString strFrame3=CString(pFile.strServerLocation)+	 CString(_T("?")) + CString(_T("getErrframe"));
CString strFrame4=CString(pFile.strServerLocation)+	 CString(_T("?")) + CString(_T("getpicframe"));
CString strFrame5=CString(pFile.strServerLocation)+	 CString(_T("?")) + CString(_T("getendmotion"));


strOutput.Format(strResource,strFrame1,strFrame2,strFrame3,strFrame4,strFrame5);
*pCtxt<<strOutput;
}
else
{

LoadLongResource(strResource,IDR_FRAMESETNOPIC);
CString strFrame1=CString(pFile.strServerLocation) + CString(_T("?")) + CString(_T("submitframe"));
CString strFrame2=CString(pFile.strServerLocation) + CString(_T("?")) + CString(_T("getmainframe"));
CString strFrame3=CString(pFile.strServerLocation)+	 CString(_T("?")) + CString(_T("getErrframe"));
CString strFrame4=CString(pFile.strServerLocation)+	 CString(_T("?")) + CString(_T("getendmotion"));

strOutput.Format(strResource,strFrame1,strFrame2,strFrame3,strFrame4);
*pCtxt<<strOutput;

}
EndContent(pCtxt);



}
void CRobonetExtension::moveaxes(CHttpServerContext *pCtxt,int speedval,LPTSTR ptraxes_type,int axes_num,int statusmove)
{
CString pstraxes_type;
CString pstraxes_num="axis1pos";
pstraxes_type=ptraxes_type;

static DWORD dwPrevTick = 0L;
	
pError->finish=0;
if(pstraxes_type=="joints")
{
pRobot.move(speedval,axes_num,"joints",pCtxt,statusmove);

}
else
if(pstraxes_type=="xyz")
{
	if(pHome->situation==HOME_NOTIF_FINISH)
	pRobot.move(speedval,axes_num,"xyz",pCtxt,statusmove);
    else
	{	pError->finish=1;
		
    	pRobot.closemanual();
		pErrorInf->lNumber=ERR_ROBOT_HM_ND;
	}	
}


pRobot.controlframe(pCtxt);
}

void CRobonetExtension::endmanual(CHttpServerContext *pCtxt,LPTSTR pszsituation)
{
pError->finish=1;
pRobot.closemanual();
pRobot.controlframe(pCtxt);
}

static counter=0;

void CRobonetExtension::showerror(CHttpServerContext *pCtxt,LPTSTR strtimer)
{
CString onmode;
StartContent(pCtxt);
WriteTitle(pCtxt);

LPTSTR errstring;	
pError->error_flag=0;
int error_notrespond=0;


if(pError->finish==0&&pHome->situation==HOME_NOTIF_FINISH||pError->grippermotion==1)
pRobot.waiterror(SHORT_WAIT);
else
pRobot.waiterror(INFINITE_WAIT);		 

*pCtxt<<"<script  language=\"javascript\">\n";

	 
if(pErrorInf->lNumber==ERR_INIT)
{
	errstring="Initialization error";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;
}
else							                                                                                                                             
if(pErrorInf->lNumber==ERR_EMERG_OFF)
{

	*pCtxt<<"parent.SHOW.emergencyerror.style.visibility=\"HIDDEN\";";
	pErrorInf->cAxis=0;
	pError->error_flag=0;// already excecuting mesage error
	pError->finish=1;
}
else 
if(pErrorInf->lNumber== ERR_EMERG_ON)
{
  	*pCtxt<<"parent.SHOW.document.emergencyerror.style.visibility=\"visible\";";
	
	error_occured=1;
	pErrorInf->cAxis=0;
	pError->error_flag=0;
	pError->finish=1;

}
else 
if(pErrorInf->lNumber== ERR_HT)
{
	*pCtxt<<"parent.SHOW.homing.style.visibility=\"visible\";";
	errstring="Time of homing elapsed";
	
	pError->error_flag=1;
	pError->finish=1;

}
else
if(pErrorInf->lNumber==ERR_HOME_ABORTED)
{
	*pCtxt<<"parent.SHOW.homing.style.visibility=\"visible\"";
	errstring="Homing aborted by user";
	pError->error_flag=1;
 	pError->finish=1;
    
}
else 
if(pErrorInf->lNumber==ERR_INVPAR)
{
	errstring="Invalid parameter";
	pError->error_flag=1;
	pError->finish=1;

}
else
if(pErrorInf->lNumber==ERR_NOT_RESPOND)
{
	errstring="Controller is not responding";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;
    error_notrespond=1; 
}	
else
if(pErrorInf->lNumber== ERR_TRCK)
{

	errstring="Position error during the motion is too great or impact has occured";
	*pCtxt<<"parent.OPTION.window.status=\"online\";\n";
    	*pCtxt<<"if(parent.OPTION.window.confirm(\"Position error during the motion is too great or impact has occured do you want to excecute control on?\"))\n";
	*pCtxt<<"{\n";
	*pCtxt<<"parent.OPTION.document.control.controlon.value=\"On\";";
	*pCtxt<<"parent.OPTION.control.submit();\n";		 

	*pCtxt<<"}\n";
	*pCtxt<<"parent.SHOW.window.disableall(0);";

	pError->error_flag=0;  
	pError->finish=1;


}

else
if(pErrorInf->lNumber==ERR_COFF)
{
	pError->finish=1;

	errstring="Control is off";
	pError->error_flag=1; 
}
else
  if(pErrorInf->lNumber== ERR_ROBOT_HM_ND)
  {
	errstring="Robot has not been homed";
	pErrorInf->cAxis=0;
  	pError->error_flag=1;
  	pError->finish=1;
  }
else
if(pErrorInf->lNumber==KIN_ALPHA||pErrorInf->lNumber==KIN_ALPHA
   ||pErrorInf->lNumber==KIN_BETA||pErrorInf->lNumber==ERR_XYZ_INV)
{
	Stop('&');
	errstring="Position is not in the cartesian workspace";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;

}
else
 if(pErrorInf->lNumber==ERR_JNT_INV)
 {
	 Stop('&');
	 errstring="Position is not in the joint workspace";
 	 pError->error_flag=1;
 	 pError->finish=1;

 }
else
  if(pErrorInf->lNumber==ERR_ENC_INV)
  {
	 Stop('&');
	 errstring="Position is not in the Encoders workspace";
  	 pError->error_flag=1;
  	 pError->finish=1;

  }
else 
  if(pErrorInf->lNumber==ERR_MOVP)
  {
	  Stop('&');
	 errstring="Motion in progress";
	pErrorInf->cAxis=0;
  	pError->error_flag=1;
  	pError->finish=1;

  }
else
    if(pErrorInf->lNumber==ERR_SPEED)
	{
	Stop('&');
	errstring="Excessive speed required";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;

	}
else
     if(pErrorInf->lNumber==ERR_ACCL)
	{
	Stop('&');
	errstring="Excessive acceleration required";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;
 
	 }
else
     if(pErrorInf->lNumber==ERR_MDUR)
	 {
	 Stop('&');
	 errstring="Invalid movement duration";
	 pErrorInf->cAxis=0;
	 pError->error_flag=1;
	 pError->finish=1;

	 }
else
    if(pErrorInf->lNumber==ERR_TIME_PAR)
	{
	Stop('&');
	errstring="Invalid time duration for motion";
	pErrorInf->cAxis=0;
	pError->error_flag=1; 
	pError->finish=1;

	}
else
 if(pErrorInf->lNumber== ERR_VELO_PAR)
 {
	 Stop('&');
	 errstring="Invalid velocity";
	pErrorInf->cAxis=0;
    pError->error_flag=1;
 
 pError->finish=1;
}
else
 if(pErrorInf->lNumber== ERR_A_PAR)
 {
	 Stop('&');
	 errstring="Invalid acceleration parameter";
	pErrorInf->cAxis=0;
 	pError->error_flag=1;
 	pError->finish=1;

 }
else 
  if(pErrorInf->lNumber==ERR_AA_PAR)
  {
	Stop('&');
	errstring="Invalid parameter for increase of acceleration";
	pErrorInf->cAxis=0;
  	pError->error_flag=1;
  	pError->finish=1;

  }
else
if(pErrorInf->lNumber==ERR_SKIN)
{
	Stop('&');
	 errstring="Cannot execute movement along a circular path";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;

}
else
if(pErrorInf->lNumber==ERR_GRP_INV)
{
	Stop('&');
	 errstring="Invalid axes group";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;

}
else
if(pErrorInf->lNumber==ERR_B_INV)
{
	Stop('&');
	errstring="Position is not in the peripheral workspace";
	pError->error_flag=1;
	pError->finish=1;

}
else
 if(pErrorInf->lNumber==KIN_CFG)
	{
	 Stop('&');
	 errstring="Kinematics:Invalid configuration parameters";
	 pErrorInf->cAxis=0;
	 pError->error_flag=1;
	 pError->finish=1;

 }
else
if(pErrorInf->lNumber==ERR_CCHANGE)
{
	Stop('&');
	 errstring="Robot cannot execute movement due to angle of robot arm at axis 3";

	 
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;

}       
else 
if(pErrorInf->lNumber==TP_TEACH)
{
	errstring="TP in teach mode";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;

}
else
if(pErrorInf->lNumber==TP_AUTO)
{
	 Stop('&');
	 errstring="Tp in teach mode";
	pErrorInf->cAxis=0;
	pError->error_flag=1;
	pError->finish=1;

}
else
 if(pErrorInf->lNumber==ERR_AXTYPE)
	{
	 Stop('&');
	 errstring="Invalid axis type";
	 pError->error_flag=1;
	 pError->finish=1;

 }
else
if(pErrorInf->lNumber==ERR_PERIPH_CONFIG)
{
	errstring="Peripherals positions are not suitable for peripherals configuration";
	pError->error_flag=1;
	pError->finish=1;


}
else
if(pErrorInf->lNumber== ERR_PF_NF)
{
	errstring="File path is not found";
	pError->error_flag=1;
	pError->finish=1;

}
else 
if(pErrorInf->lNumber== ERR_CHAR_TEMPL_LIB)
{
	errstring="Error in character template library contact your product dealer";	
	pError->error_flag=1; 
	pError->finish=1;

}
else
if(pErrorInf->lNumber== ERR_RCR)
{
	errstring="Relative chain loops or exceeds 255 positions";
	pError->error_flag=1; 
	pError->finish=1;

}
else
if(pErrorInf->lNumber==ERR_UNASS)
{
	errstring="Undefined positions";
	pError->error_flag=1;
	pError->finish=1;

}

int check;
if(counter==0)
{
	Sleep(1000);
	m_timer=(int)pFile.strTimeOut;
    counter++;
}
 check=(int)strtimer;
strtimer=(LPTSTR)m_timer;

	*pCtxt<<"parent.SHOW.communication.beg2.value=\"";
	*pCtxt<<strtimer;
    *pCtxt<<"\";";

m_timer=check;
if(!(IsOnLineOk()))
		pError->error_flag=0;
if(error_notrespond==1)
	pError->error_flag=1; 
if(pError->error_flag==1)
{
	*pCtxt<<"parent.OPTION.window.alert(\"";						   
	*pCtxt<<errstring;
	*pCtxt<<"\");";
	pError->error_flag=0;
	pErrorInf->lNumber=0;
}
*pCtxt<<"</script>\n";
pErrorInf->lNumber=-1; 	
EndContent(pCtxt);
pRobot.Errorframe(pCtxt);
}


void CRobonetExtension::getErrframe(CHttpServerContext *pCtxt)
{
 CString strOutput;
 
  LoadLongResource(strOutput,IDR_Error);
  *pCtxt<<strOutput;
}

//-------This function turns on and of the output on the USB controller
void CRobonetExtension::turnoutput(CHttpServerContext *pCtxt,LPTSTR pszout,LPTSTR pszmode1,LPTSTR pszmode2,LPTSTR pszmode3,LPTSTR pszmode4,LPTSTR pszmode5,LPTSTR pszmode6,LPTSTR pszmode7,LPTSTR pszmode8)
{

CString output;
CString mode_out1,mode_out2,mode_out3,mode_out4,mode_out5,mode_out6,mode_out7,mode_out8;
int model1,model2,model3,model4,model5,model6,model7,model8;
int outputnum;
output=pszout;
mode_out1=pszmode1;
mode_out2=pszmode2;
mode_out3=pszmode3;
mode_out4=pszmode4;
mode_out5=pszmode5;
mode_out6=pszmode6;
mode_out7=pszmode7;
mode_out8=pszmode8;

if(mode_out1=="on")
	model1=1;
else
    model1=0;
if(mode_out2=="on")
	model2=1;
else
    model2=0;
if(mode_out3=="on")
	model3=1;
else
    model3=0;
if(mode_out4=="on")
	model4=1;
else
    model4=0;
if(mode_out5=="on")
	model5=1;
else
    model5=0;
if(mode_out6=="on")
	model6=1;
else
    model6=0;
if(mode_out7=="on")
	model7=1;
else
    model7=0;
if(mode_out8=="on")
	model8=1;
else
    model8=0;
if(output=="1")
	outputnum=1;
if(output=="2")
	outputnum=2;
if(output=="3")
	outputnum=3;
if(output=="4")
	outputnum=4;
if(output=="5")
	outputnum=5;
if(output=="6")
	outputnum=6;
if(output=="7")
	outputnum=7;
if(output=="8")
	outputnum=8;
pRobot.turndigitalout(outputnum,model1,model2,model3,model4,model5,model6,model7,model8);
Sleep(800);
pRobot.controlframe(pCtxt);
}

void CRobonetExtension::Homing(CHttpServerContext *pCtxt)
{

pHome->home=0;//stop wait excecute the page
pRobot.Home_robot(pCtxt);


}



void CRobonetExtension::Sendgripper(CHttpServerContext *pCtxt, LPTSTR operation)
{
 pRobot.decide_operation(pCtxt,operation);

}



void CRobonetExtension::Exitprog(CHttpServerContext *pCtxt)
{
 
 pRobot.Offline(rob_num);
 Sleep(1000);

 pError->finish=1;
 *pCtxt<<"<html>";
 *pCtxt<<"<BODY>";
 *pCtxt<<"<script language=\"javascript\">";
 *pCtxt<<"parent.window.close()";
 m_begin=1;
 *pCtxt<<"</script>";
 *pCtxt<<"</body>";
 *pCtxt<<"</html>";
 Numvisitors=0; 
}




void CRobonetExtension::update(CHttpServerContext *pCtxt,LPTSTR Linkdir,LPTSTR typerob,LPTSTR Linkcam)
{
strlocation=Linkdir;
 
}

void CRobonetExtension::Security(CHttpServerContext *pCtxt, LPTSTR nameclient, LPTSTR password)
{
 	CString currentname;
	CString currentpassword;
	GetPrivateProfileString(strConfigSection,strName,NULL,pFile.strname,sizeof(pFile.strname),"robonet.ini");
    GetPrivateProfileString(strConfigSection,strPassword,NULL,pFile.strPassword,sizeof(pFile.strPassword),"robonet.ini");
	if(!(strcmp(nameclient,pFile.strname))&&(!strcmp(password,pFile.strPassword))) 
	{
	 *pCtxt<<"<html>";
	 *pCtxt<<"<head>";
	 *pCtxt<<"</head>";
	 *pCtxt<<"<script language=\"javascript\">";
	 *pCtxt<<"window.location=";
	 *pCtxt<<"\"config.asp\";";

	 *pCtxt<<"</script>";



	}
	 else
	 {
	*pCtxt<<"<HTML>\n";
	*pCtxt<<"<HEAD>\n";
	*pCtxt<<"<TITLE>ROBONET CONFIGURATION</TITLE>\n";
	*pCtxt<<"</HEAD>\n";
	*pCtxt<<"<BODY bgcolor=\"BLUE\">";
    
    *pCtxt<<"<FONT COLOR=\"WHITE\" SIZE=\"6px\">";
	*pCtxt<<"The Detailes You Have Entered Are not Correct Please try again";
	*pCtxt<<"</FONT>";
	for(int i=0;i<=10;i++)
			*pCtxt<<"<BR>";
	for( i=0;i<=20;i++)
			*pCtxt<<"&nbsp;";
	*pCtxt<<"<INPUT TYPE=\"BUTTON\"  value=\"Back\" onclick=window.location=\"password.htm\" style=\"color:BLUE;font-size:80%;\">\n";
   	for( i=0;i<=10;i++)
			*pCtxt<<"&nbsp;";
	*pCtxt<<"<INPUT TYPE=\"BUTTON\"  value=\"Close\" onclick=window.close() id=button1 name=button1 style=\"color:BLUE;font-size:80%;\">\n";
   	
	*pCtxt<<"</BODY>\n";
	*pCtxt<<"</HTML>\n";

	


	 }
}

void CRobonetExtension::Rnumchange(CHttpServerContext *pCtxt,LPTSTR timeoutselect,LPTSTR cam,LPTSTR path,LPTSTR name,LPTSTR pass,LPTSTR refreshrate)
{
  	int Checkdata;
	pRobot.Offline(rob_num);
  
    TCHAR strConfigSection[] =_T("CONFIG");
	WritePrivateProfileStringW(NULL,NULL,NULL,L"robonet.ini");
	Checkdata=WritePrivateProfileString(strConfigSection,strTimeout,timeoutselect,"robonet.ini");
    if(strcmp(path,""))
	Checkdata=WritePrivateProfileString(strConfigSection,strCampath,path,"robonet.ini");
    if(strcmp(pass,""))
	Checkdata=WritePrivateProfileString(strConfigSection,strPassword,pass,"robonet.ini");
	Checkdata=WritePrivateProfileString(strConfigSection,strRefreshrate,refreshrate,"robonet.ini");
    if(strcmp(name,""))
	Checkdata=WritePrivateProfileString(strConfigSection,strName,name,"robonet.ini");
   
  
    
   	*pCtxt<<"<HTML>\n";
	*pCtxt<<"<HEAD>\n";
	*pCtxt<<"<TITLE>ROBONET CONFIGURATION</TITLE>\n";
	*pCtxt<<"</HEAD>\n";
	*pCtxt<<"<BODY bgcolor=\"BLUE\">";
    
    *pCtxt<<"<FONT COLOR=\"WHITE\" SIZE=\"6px\">";
	if(Checkdata==0)
		*pCtxt<<"Error in writing file robonet.ini";
	else
        *pCtxt<<"Configuration  updated succesful";  
	*pCtxt<<"</FONT>";
	for(int i=0;i<=10;i++)
			*pCtxt<<"<BR>";
	for( i=0;i<=20;i++)
			*pCtxt<<"&nbsp;";
	*pCtxt<<"<INPUT TYPE=\"BUTTON\"  value=\"Back\" onclick=window.location=\"config.asp\" style=\"color:BLUE;font-size:80%;\">\n";
   	for( i=0;i<=10;i++)
			*pCtxt<<"&nbsp;";
	*pCtxt<<"<INPUT TYPE=\"BUTTON\"  value=\"Close\" onclick=window.close() id=button1 name=button1 style=\"color:BLUE;font-size:80%;\">\n";
   	
	*pCtxt<<"</BODY>\n";
	*pCtxt<<"</HTML>\n";



}

void CRobonetExtension::getpicframe(CHttpServerContext *pCtxt)
{
CString strOutput;

GetPrivateProfileString(strConfigSection,strRefreshrate,NULL,pFile.strRefreshrate,sizeof(pFile.strRefreshrate),"robonet.ini");
GetPrivateProfileString(strConfigSection,strTimeout,NULL,pFile.strTimeOut,sizeof(pFile.strTimeOut),"robonet.ini");

strOutput+="<HTML>";
strOutput+="<head>"; 
strOutput+="<TITLE> Welcome To Robonet</TITLE>";
strOutput+="<META NAME=KEYWORDS CONTENT=" ">";
strOutput+="<META HTTP-EQUIV=\"pragma\" CONTENT=\"no-cache\">";
strOutput+="<META HTTP-EQUIV=\"Expires\" CONTENT=\"0\">";

strOutput+="<META HTTP-EQUIV=\"Refresh\" content=\"";
strOutput+=pFile.strRefreshrate;
strOutput+="\">";
strOutput+="</head>";		 

strOutput+="<BODY bgcolor=\"#778899\" marginwidth=\"0\" marginheight=\"0\" leftmargin=\"0\" topmargin=\"0\" >";

strOutput+="<BR><BR>&nbsp;&nbsp;&nbsp;";
for( int i=0;i<=5;i++)
	strOutput+="&nbsp;";
strOutput+="<FONT STYLE=\"verdana\"  COLOR=\"White\" SIZE=\"5\">     LIVE  PHOTO</font>";
strOutput+="<form name=\"getpic\">";
strOutput+="<BR><BR><BR><BR>";
strOutput+="<IMG  NAME=\"picture\" src=\"";
strOutput+=pFile.strCampath;

strOutput+="\" border=\"1\" style=\"width:200px;height:200px;\">";
strOutput+="<br><FONT STYLE=\"verdana\"  COLOR=\"white\" SIZE=\"5\"> This picture is updated every";
for(  i=0;i<=2;i++)
	strOutput+="&nbsp;";
strOutput+= pFile.strRefreshrate;
for( i=0;i<=2;i++)
	strOutput+="&nbsp;";
strOutput+="seconds </FONT>";
	
strOutput+="</FORM>"; 




strOutput+="</BODY>";
strOutput+="</HTML>"; 
*pCtxt<<strOutput;

}



void CRobonetExtension::Start(CHttpServerContext *pCtxt)
{
m_begin=1;//you can start work with dll

if(Numvisitors==0)
{
	Numvisitors=1;
} 
 
	 *pCtxt<<"<HTML>";
*pCtxt<<"<HEAD>";

*pCtxt<<"<META NAME=\"GENERATOR\" Content=\"Microsoft Visual Studio 6.0\">";
*pCtxt<<"<TITLE></TITLE>";
*pCtxt<<"</HEAD>";
*pCtxt<<"<BODY>";
*pCtxt<<"<form name=\"Start\" style=\"visibility:hidden;\" action=\"robonet.dll\"  METHOD=\"GET\">";
*pCtxt<<"<INPUT TYPE=\"HIDDEN\" NAME=\"MfcISAPICommand\" VALUE=\"Start\">";
*pCtxt<<"</form>";
*pCtxt<<"<form name=\"Init\" style=\"visibility:hidden;\" action=\"robonet.dll\"  METHOD=\"GET\">";
*pCtxt<<"<INPUT TYPE=\"HIDDEN\" NAME=\"MfcISAPICommand\" VALUE=\"Initialize\">";
*pCtxt<<"</form>";     
*pCtxt<<"</BODY>";
*pCtxt<<"</HTML>";
	
}

void CRobonetExtension::Updatevisit(CHttpServerContext *pCtxt,LPTSTR strvisit)
{

itoa(Numvisitors,strvisit,10);
*pCtxt<<"<HTML>";
*pCtxt<<"<HTML>";
*pCtxt<<"<Body>";
*pCtxt<<"<FORM action=\"robonet.dll\" method=\"get\" NAME=\"update\" style=\"visibility:hidden;\">";
*pCtxt<<"<INPUT TYPE=\"HIDDEN\" NAME=\"MfcISAPICommand\" VALUE=\"Updatevisit\" >";
*pCtxt<<"<INPUT TYPE=\"TEXT\" NAME=\"Visit\" VALUE=\"1\" >";
*pCtxt<<"</FORM>";     
Sleep(1000);
*pCtxt<<strvisit;
*pCtxt<<"</BODY>";
*pCtxt<<"</HTML>";

}

void CRobonetExtension::Initialize(CHttpServerContext *pCtxt)
{
pRobot.Offline(rob_num);
Sleep(500);
pError->finish=1;
Numvisitors=0;  	
}

void CRobonetExtension::Updateused(CHttpServerContext *pCtxt)
{
Sleep(300);

if(Numvisitors==0)
{
    *pCtxt<<"<script>";
	*pCtxt<<"parent.ROBONET.document.redlight.style.visibility='hidden';";
  	*pCtxt<<"parent.ROBONET.document.greenlight.style.visibility='visible';";
    *pCtxt<<"window.status=\"Free to work\";";
    *pCtxt<<"parent.ROBONET.document.status.entrance.value=1;";

	*pCtxt<<"</script>";

} 
else
{   
    *pCtxt<<"<script>";
	*pCtxt<<"parent.ROBONET.document.status.entrance.value=0;";
	
	*pCtxt<<"parent.ROBONET.document.redlight.style.visibility='visible';";
    *pCtxt<<"parent.ROBONET.document.greenlight.style.visibility='hidden';";
    *pCtxt<<"window.status=\"Robot Is Used\";";     
   		*pCtxt<<"</script>";
   
}

*pCtxt<<"<HTML>\n";
*pCtxt<<"<HEAD>\n";

*pCtxt<<"<META HTTP-EQUIV=\"Refresh\" content=\"10\">";
*pCtxt<<"<TITLE></TITLE>\n";
*pCtxt<<"</HEAD>\n";
*pCtxt<<"<BODY>\n";
*pCtxt<<"<form name=\"Updateused\" style=\"visibility:hidden;\" action=\"robonet.dll\"  METHOD=\"GET\">\n";
*pCtxt<<"<INPUT TYPE=\"HIDDEN\" NAME=\"MfcISAPICommand\" VALUE=\"Updateused\">\n";
*pCtxt<<"</form>\n";

*pCtxt<<"</BODY>\n";
*pCtxt<<"</HTML>\n";


}

void CRobonetExtension::getendmotion(CHttpServerContext *pCtxt)
{
*pCtxt<<"<HTML>\n";
*pCtxt<<"<HEAD>\n";

*pCtxt<<"<TITLE></TITLE>\n";
*pCtxt<<"</HEAD>\n";
*pCtxt<<"<BODY>\n";
*pCtxt<<"<form name=\"motionend\" style=\"visibility:hidden;\" action=\"robonet.dll\"  METHOD=\"GET\">\n";
*pCtxt<<"<INPUT TYPE=\"HIDDEN\" NAME=\"MfcISAPICommand\" VALUE=\"getendmotion\">\n";
*pCtxt<<"</form>\n";

*pCtxt<<"</BODY>\n";
*pCtxt<<"</HTML>\n";
pError->finish=1;
if(counter>0)
	pRobot.closemanual();
counterman++;


}
